% OnDataLoad
%
% Input  : none
% Output : none
% Example: OnDataLoad

%*******************************************************
%*               Mause DataLoad Func                   *
%*                   Hiroaki Kusabuka                  *
%*                  HITACHI MECICAL                    *
%*******************************************************
% OnDataLoad
%*******************************************************

% History?F03.11.06 Ver2.01  Kusabuka?@multi probe 
% Script File

para_p.load_prb1=0;
para_p.load_prb2=0;
para_p.load_prb3=0;
para_p.load_prb4=0;
para_p.load_prb5=0;
para_p.cal_flg1=0;
para_p.cal_flg2=0;
para_p.cal_flg3=0;
para_p.cal_flg4=0;
para_p.cal_flg5=0;
para_p.sel_prb1=1;
para_p.sel_prb2=1;
para_p.sel_prb3=1;
para_p.sel_prb4=1;
para_p.sel_prb5=1;

clear ad_data;
clear ad_graph_h;
clear hb_data;
clear hb_graph_h;
clear hb_map_h;
clear info;
clear mark;
clear para;
%clear para_h;
clear scrsz;
clear h1;
clear pos_left;
clear pos_top;
clear continuous_data;


Mode = MOD_LOAD;
info = struct('file_name',{'','','','',''},'version',{'','','','',''},'id',{'','','','',''},'name',{'','','','',''},'comment',{'','','','',''},'age',{'','','','',''},'sex',{'','','','',''},'probe_mode',{0,0,0,0,0},'measure_mode',{0,0,0,0,0},'date',{'','','','',''},'adnmpn',{'','','','',''},'wlen',{'','','','',''},'adrng',{'','','','',''},'amprng',{'','','','',''},'ampset',{'','','','',''},'smpl_period',{'','','','',''},'datanum',{'','','','',''},'sel_ch',{1,1,1,1,1});
ad_data = struct('raw',{'','','','',''});
mark.num = 0;mark.point = 0;mark.ave = 0;mark.char = '';

info(1).flg=0;
para.sel_move=0;

[fname, pname] = uigetfile('*.dat;*.mea;*.csv;*.txt','Raw Measurement Data Load');

del_fig(2,79); 
del_fig(80,80); 

if fname ~= 0;
   [info,ad_data,mark,para,para_p] = load_ad(strcat(pname,fname),MainFigure,para,para_p,para_h,dis_no);
   % begin added by xu cui
   for ii=1:length(ad_data)
       for jj=1:info(ii).ad_ch_max/2
           mesData = ad_data(ii).raw(:, [2*jj-1, 2*jj]);
           waveLength = info(ii).wlen([2*jj-1, 2*jj]);
           baseline = [1 100];
           [hb, hbo, hbt] = mes2hb(mesData, waveLength, baseline);       
           continuous_data(ii).raw(1,:,jj) = hbo;
           continuous_data(ii).raw(2,:,jj) = hb;
           continuous_data(ii).raw(3,:,jj) = hbt;
       end
   end

   % end added by xu cui
   
   clear pname;clear fname;
   Sel_graph= 1;
   %********** Probe Select No.*************
   if para_p.sel_prb1 == 1;
      dis_no = 1;
   elseif para_p.sel_prb2 == 1;
      dis_no = 2;
      if para_p.load_prb2 ~= 1;
         dis_no = 1;
      end;
   elseif para_p.sel_prb3 == 1;
      dis_no = 3;
      if para_p.load_prb3 ~= 1;
         dis_no = 1;
      end;
   elseif para_p.sel_prb4 == 1;
      dis_no = 4;
      if para_p.load_prb4 ~= 1;
         dis_no = 1;
      end;
   elseif para_p.sel_prb5 == 1;
      dis_no = 5;
      if para_p.load_prb5 ~= 1;
         dis_no = 1;
      end;
   else
      dis_no = 1;
   end;
   
   if info(dis_no).smpl_period ~= 0;
      show_info(MainFigure,info,para_p,dis_no);
      input_para;
   end;
else;
    warndlg('Please read data.','Warning'); 
    topo;
    return;
end;

