% ad_posi_set
%
%*******************************************************
%*               AD Graph position Function            *
%*                  Hiroaki Kusabuka                   *
%*                  HITACHI MECICAL                    *
%*******************************************************
% HistoryF05.04.01 Kusabuka  new
% HistoryF05.06.30 Kusabuka  3x10 

function [ad_graph_h] = ad_posi_set(info,ad_graph_h,Sel_graph);

% 3x5 4x4 3x3
if info(Sel_graph).probe_mode==1 | info(Sel_graph).probe_mode==2 | info(Sel_graph).probe_mode==3;
   y=0.9060;
   for i=1:2:48+2;
      ad_graph_h(Sel_graph).ad_pos(i).p    = [0.1700    y    0.3347    0.0126];
      ad_graph_h(Sel_graph).ad_pos(i+1).p  = [0.6103    y    0.3347    0.0126];
      y=y-0.0317;
   end;
elseif info(Sel_graph).probe_mode==4;    % 3x11
   y=0.9209;
   for i=1:2:info(Sel_graph).ad_ch_max+2;
      ad_graph_h(Sel_graph).ad_pos(i).p    = [0.1700    y    0.3347    0.0033];
      ad_graph_h(Sel_graph).ad_pos(i+1).p  = [0.6103    y    0.3347    0.0033];
      y=y-0.0152;
   end;
elseif info(Sel_graph).probe_mode==5;    % 3x10
   y=0.9209;
   for i=1:2:info(Sel_graph).ad_ch_max+2;
      ad_graph_h(Sel_graph).ad_pos(i).p    = [0.1700    y    0.3347    0.0033];
      ad_graph_h(Sel_graph).ad_pos(i+1).p  = [0.6103    y    0.3347    0.0033];
      y=y-0.0175;
   end;
else;  % no data
   ad_graph_h(Sel_graph).ad_pos(1).p  = [0.1700    0.1167    0.3347    0.0033];
   ad_graph_h(Sel_graph).ad_pos(2).p  = [0.6103    0.1167    0.3347    0.0033];
end;
clear i;
clear y;

