% makr_line
%
% Input  : info,mark,para,hb_data,para_p,Sel_graph
% Output : para,hb_data,hb_graph_h,hb_map_h
% Example: [para,hb_data,hb_graph_h,hb_map_h] = drow_graph(info,mark,para,hb_data,para_p,Sel_graph); 
%*******************************************************
%*               Plot mark lineFunction                *
%*                   Hiroaki Kusabuka                  *
%*                  HITACHI MECICAL                    *
%*******************************************************
% History:06.06.08 Ver2.06  Kusabuka  mojule
function [kl_graph_h] = drow_pca(info,para,para_p,mark,hb_data,kl_data,kl_graph_h,sParaKL,p_cnt,i); 
%fprintf('drow_graph\n');

   set(gcf,'CurrentAxes',kl_graph_h(p_cnt).map_gco(i))
   hold on;
   kl_graph_h(p_cnt).con_graph(1,i) = plot(hb_data(p_cnt).const(1,:,i),'r');
   kl_graph_h(p_cnt).con_graph(2,i) = plot(hb_data(p_cnt).const(2,:,i),'b');
   if sParaKL.sel_total_hb == 0;
      kl_graph_h(p_cnt).con_graph(3,i) = plot(hb_data(p_cnt).const(3,:,i),'g');
   else
      kl_graph_h(p_cnt).con_graph(3,i) = plot(hb_data(p_cnt).const(4,:,i),'Color',[0.8 0.8 0]);
   end;
   if kl_graph_h(p_cnt).oxy_val == 1;
      set(kl_graph_h(p_cnt).con_graph(1,i),'Visible','on');
   end;
   if kl_graph_h(p_cnt).deoxy_val == 1;
      set(kl_graph_h(p_cnt).con_graph(2,i),'Visible','on');
   end;
   if kl_graph_h(p_cnt).total_val == 1;
      set(kl_graph_h(p_cnt).con_graph(3,i),'Visible','on');
   end;
   
   plot([sParaKL.sel_point sParaKL.sel_point],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],':m');

hold off;

return;
  
