% input_para(Not Function)
%
% Input : flg
% Output: 

%*******************************************************
%*            Input Parameter(Not Function)            *
%*                   Hiroaki Kusabuka                  *
%*                  HITACHI MECICAL                    *
%*******************************************************
% history :04.02.10 Ver2.02 Kusabuka body move add
% history :05.07.04 Ver2.05 Kusabuka 3x10
%********** Initial Value ***********
%fprintf('input_move\n');
o_mark = mark;
clear mark;
mark.num=0;

if info(p_cnt).flg==1; % ETG-100 data
   %************** Marker Check ***************

   %***** Stim Mode *****
   if info(p_cnt).measure_mode(1)==1;
      if para.sel_move == 0;           % body move off (no delete)
         if size(find( (ad_data(p_cnt).raw(:,65)>0 & ad_data(p_cnt).raw(:,65)<=10) | (ad_data(p_cnt).raw(:,65)>100 & ad_data(p_cnt).raw(:,65)<=110))~=0);
            dum = find( (ad_data(p_cnt).raw(:,65)>0 & ad_data(p_cnt).raw(:,65)<=10) | (ad_data(p_cnt).raw(:,65)>100 & ad_data(p_cnt).raw(:,65)<=110));
            mark.num = floor(length(dum)/2);
            for j = 1:mark.num;
               if ad_data(p_cnt).raw(dum(2*j-1),65)> 100;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),65)-100;
               else; 
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),65);
               end;
               mark.point(j,2) = dum(2*j-1);
               mark.point(j,3) = dum(2*j);
               mark.move(j) = 0;
             end;
         end;
      end;
      if para.sel_move == 1;           % body move on (delete)
         mark.num = 0;mark.point = 0;
         mark.ave = 0;mark.char = '';
         if size(find( (ad_data(p_cnt).raw(:,65)>0 & ad_data(p_cnt).raw(:,65)<=10) | (ad_data(p_cnt).raw(:,65)>100 & ad_data(p_cnt).raw(:,65)<=110))~=0);
            dum = find( (ad_data(p_cnt).raw(:,65)>0 & ad_data(p_cnt).raw(:,65)<=10) | (ad_data(p_cnt).raw(:,65)>100 & ad_data(p_cnt).raw(:,65)<=110));
            mark.num = floor(length(dum)/2);
            for j = 1:mark.num;
               if o_mark.ave(j) == 1;
                  if dum(2*j-1)-para.pre <= 0;
                     if para.sel_move == 1;
                        para.sel_move = 0;
                     else;
                        para.sel_move = 1;
                     end;
                     set(main_h.move,'value',para.sel_move);
                     mark = o_mark;
                     clear o_mark;
                     warndlg('Too long Pre time!','Warning');
                     return;
                  end;
                  if dum(2*j)+para.relax+para.post > info(dis_no).datanum;
                     if para.sel_move == 1;
                        para.sel_move = 0;
                     else;
                        para.sel_move = 1;
                     end;
                     set(main_h.move,'value',para.sel_move);
                     mark = o_mark;
                     clear o_mark;
                     warndlg('Too long Relax time or Post time!','Warning');
                     return;                  
                  end;
%                  if size ( find( ad_data(p_cnt).raw((dum(2*j-1)-para.pre)+1:(dum(2*j)+para.relax+para.post)+1,65)>100)) ~=0; 
                  if size ( find( ad_data(p_cnt).raw((dum(2*j-1)-para.pre):(dum(2*j)+para.relax+para.post),65)>100)) ~=0; 
                     mark.move(j) = 1;
                  else;
                     mark.move(j) = 0;
                  end;
               else;
                  mark.move(j) = 0;
               end;
               
               mark.point(j,1) = ad_data(p_cnt).raw(dum(j*2-1),65);
               mark.point(j,2) = dum(2*j-1);
               mark.point(j,3) = dum(2*j);
            end;
         end;
      end;      
   end;      
   %***** Event Mode *****
   if info(p_cnt).measure_mode(1)==2;
      if para.sel_move == 0;           % body move off (no delete)
         if size(find( (ad_data(p_cnt).raw(:,65)>0 & ad_data(p_cnt).raw(:,65)<=10) | (ad_data(p_cnt).raw(:,65)>100 & ad_data(p_cnt).raw(:,65)<=110))~=0);
            dum = find( (ad_data(p_cnt).raw(:,65)>0 & ad_data(p_cnt).raw(:,65)<=10) | (ad_data(p_cnt).raw(:,65)>100 & ad_data(p_cnt).raw(:,65)<=110));
            mark.num = length(dum);
            for j = 1:mark.num;
               if ad_data(p_cnt).raw(dum(j),65) > 100;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),65)-100;
               else;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),65);
               end;
               mark.point(j,2) = dum(j);
               mark.move(j) = 0;
            end;
         end;      
      end;      
      if para.sel_move == 1;           % body move on (delete)
         if size(find( (ad_data(p_cnt).raw(:,65)>0 & ad_data(p_cnt).raw(:,65)<=10) | (ad_data(p_cnt).raw(:,65)>100 & ad_data(p_cnt).raw(:,65)<=110))~=0);
            dum = find( (ad_data(p_cnt).raw(:,65)>0 & ad_data(p_cnt).raw(:,65)<=10) | (ad_data(p_cnt).raw(:,65)>100 & ad_data(p_cnt).raw(:,65)<=110));
            mark.num = length(dum);
            for j = 1:mark.num;
               if o_mark.ave(j) == 1;
                  if dum(j)-para.pre <= 0;
                     if para.sel_move == 1;
                        para.sel_move = 0;
                     else;
                         para.sel_move = 1;
                     end;
                     set(main_h.move,'value',para.sel_move);
                     mark = o_mark;
                     clear o_mark;
                     warndlg('Too long Pre time!','Warning');
                  end;
                  if dum(j)+para.relax+para.post > info(dis_no).datanum;
                     if para.sel_move == 1;
                        para.sel_move = 0;
                     else;
                         para.sel_move = 1;
                     end;
                     set(main_h.move,'value',para.sel_move);
                     mark = o_mark;
                     clear o_mark;
                     warndlg('Too long Relax time or Post time!','Warning');
                  end;
                  if length ( find( ad_data(p_cnt).raw(dum(j)-para.pre:dum(j)+para.relax+para.post,65)>100)) ~=0 ;
                     mark.move(j) = 1;
                  else;
                     mark.move(j) = 0;
                  end;
               else;
                 mark.move(j) = 0;
               end;
               mark.point(j,1) = ad_data(p_cnt).raw(dum(j),65);
               mark.point(j,2) = dum(j); 
            end;
         end;      
      end;      
   end;      
%****************************************************
elseif info(p_cnt).flg==2;                 % ETG-7000,ETG-4000 data

   %************** Marker Check ***************
   %***** Stim Mode *****
   if info(p_cnt).measure_mode==1;
      if para.sel_move == 0;                % body move off (no delete)
         if info(p_cnt).ad_ch_max == 104;  %3x11
            if size(find(ad_data(p_cnt).raw(:,104+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,104+1+2)>0);
               mark.num = floor(length(dum)/2);
               for j = 1: mark.num;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),104+1+2);
                  mark.point(j,2) = dum(2*j-1);
                  mark.point(j,3) = dum(2*j);
                  mark.move(j) = 0;
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 94;  %3x10
            if size(find(ad_data(p_cnt).raw(:,94+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,94+1+2)>0);
               mark.num = floor(length(dum)/2);
               for j = 1: mark.num;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),94+1+2);
                  mark.point(j,2) = dum(2*j-1);
                  mark.point(j,3) = dum(2*j);
                  mark.move(j) = 0;
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 48; % 3x3 4x4
            if size(find(ad_data(p_cnt).raw(:,48+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,48+1+2)>0);
               mark.num = floor(length(dum)/2);
               for j = 1: mark.num;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),48+1+2);
                  mark.point(j,2) = dum(2*j-1);
                  mark.point(j,3) = dum(2*j);
                  mark.move(j) = 0;
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 44; % 3x5
            if size(find(ad_data(p_cnt).raw(:,48+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,48+1+2)>0);
               mark.num = floor(length(dum)/2);
               for j = 1: mark.num;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),48+1+2);
                  mark.point(j,2) = dum(2*j-1);
                  mark.point(j,3) = dum(2*j);
                  mark.move(j) = 0;
               end;
            end;
         end;
      elseif para.sel_move == 1;                % body move on (delete)
         if info(p_cnt).ad_ch_max == 104;
            if size(find(ad_data(p_cnt).raw(:,104+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,104+1+2)>0);
               mark.num = floor(length(dum)/2);
               for j = 1:mark.num;
                  if o_mark.ave(j)==1;
                     if dum(2*j-1)-para.pre <= 0;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        warndlg('Too long Pre time!','Warning');
                        return;
                     end;
                     if dum(2*j)+para.relax+para.post > info(dis_no).datanum;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Relax time or Post time!','Warning');
                        return;
                     end;
                     if size ( find( ad_data(p_cnt).raw(dum(2*j-1)-para.pre:dum(2*j)+para.relax+para.post,106)>0)) ~=0;
                        mark.move(j) = 1;
                     else;
                        mark.move(j) = 0;
                     end;
                  else;
                     mark.move(j) = 0;
                  end;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),104+1+2);
                  mark.point(j,2) = dum(2*j-1);
                  mark.point(j,3) = dum(2*j);
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 94;  % 3x10
            if size(find(ad_data(p_cnt).raw(:,94+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,94+1+2)>0);
               mark.num = floor(length(dum)/2);
               for j = 1:mark.num;
                  if o_mark.ave(j)==1;
                     if dum(2*j-1)-para.pre <= 0;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Pre time!','Warning');
                        return;
                     end;
                     if dum(2*j)+para.relax+para.post > info(dis_no).datanum;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Relax time or Post time!','Warning');
                        return;
                     end;
                     if size ( find( ad_data(p_cnt).raw(dum(2*j-1)-para.pre:dum(2*j)+para.relax+para.post,96)>0)) ~=0;
                        mark.move(j) = 1;
                     else;
                        mark.move(j) = 0;
                     end;
                  else;
                     mark.move(j) = 0;
                  end;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),94+1+2);
                  mark.point(j,2) = dum(2*j-1);
                  mark.point(j,3) = dum(2*j);
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 48;
            if size(find(ad_data(p_cnt).raw(:,48+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,48+1+2)>0);
               mark.num = floor(length(dum)/2);
               for j = 1:mark.num;
                   if o_mark.ave(j) == 1;
                     if dum(2*j-1)-para.pre <= 0;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Pre time!','Warning');
                        return;
                     end;
                     if dum(2*j)+para.relax+para.post > info(dis_no).datanum;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Relax time or Post time!','Warning');
                        return;
                     end;
%                     if size ( find( ad_data(p_cnt).raw((dum(2*j-1)-para.pre)+1:(dum(2*j)+para.relax+para.post)+1,50)>0)) ~=0;
                     if size ( find( ad_data(p_cnt).raw((dum(2*j-1)-para.pre):(dum(2*j)+para.relax+para.post),50)>0)) ~=0;
                        mark.move(j) = 1;
                     else;
                        mark.move(j) = 0;
                     end;
                  else;
                     mark.move(j) = 0;
                  end;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),48+1+2);
                  mark.point(j,2) = dum(2*j-1);
                  mark.point(j,3) = dum(2*j);
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 44; % 3x5
            if size(find(ad_data(p_cnt).raw(:,48+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,48+1+2)>0);
               mark.num = floor(length(dum)/2);
               for j = 1:mark.num;
                   if o_mark.ave(j)==1;
                     if dum(2*j-1)-para.pre <= 0;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Pre time!','Warning');
                        return;
                     end;
                     if dum(2*j)+para.relax+para.post > info(dis_no).datanum;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Relax time or Post time!','Warning');
                        return;
                     end;
                     if size ( find( ad_data(p_cnt).raw(dum(2*j-1)-para.pre:dum(2*j)+para.relax+para.post,50)>0)) ~=0;
                        mark.move(j) = 1;
                     else;
                        mark.move(j) = 0;
                     end;
                  else;
                     mark.move(j) = 0;
                  end;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(2*j-1),48+1+2);
                  mark.point(j,2) = dum(2*j-1);
                  mark.point(j,3) = dum(2*j);
               end;
            end;
         end;
      end;
   %***** Event Mode *****
   elseif info(p_cnt).measure_mode(1)==2;
      if para.sel_move == 0;                % body move off (no delete)
         if info(p_cnt).ad_ch_max == 104;
            if size(find(ad_data(p_cnt).raw(:,104+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,104+1+2)>0);
               mark.num = floor(length(dum));
               for j = 1: mark.num;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),104+1+2);
                  mark.point(j,2) = dum(j);
                  mark.move(j) = 0;
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 94;  % 3x10
            if size(find(ad_data(p_cnt).raw(:,94+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,94+1+2)>0);
               mark.num = floor(length(dum));
               for j = 1: mark.num;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),94+1+2);
                  mark.point(j,2) = dum(j);
                  mark.move(j) = 0;
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 48;
            if size(find(ad_data(p_cnt).raw(:,48+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,48+1+2)>0);
               mark.num = length(dum);
               for j = 1: mark.num;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),48+1+2);
                  mark.point(j,2) = dum(j);
                  mark.move(j) = 0;
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 44;
            if size(find(ad_data(p_cnt).raw(:,48+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,48+1+2)>0);
               mark.num = length(dum);
               for j = 1: mark.num;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),48+1+2);
                  mark.point(j,2) = dum(j);
                  mark.move(j) = 0;
               end;
            end;
         end;
      elseif para.sel_move == 1;                % body move on (delete)
         if info(p_cnt).ad_ch_max == 104;
            if size(find(ad_data(p_cnt).raw(:,104+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,104+1+2)>0);
               mark.num = floor(length(dum));
               for j = 1: mark.num;
                  if o_mark.ave(j)==1;
                     if dum(j)-para.pre <= 0;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Pre time!','Warning');
                        return;
                     end;
                     if dum(j)+para.relax+para.post > info(dis_no).datanum;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Relax time or Post time!','Warning');
                        return;
                     end;
                     if size ( find( ad_data(p_cnt).raw(dum(j)-para.pre:dum(j)+para.relax+para.post,106)>0)) ~=0 ;
                        mark.move(j) = 1;
                     else;
                        mark.move(j) = 0;
                     end;
                  else;
                     mark.move(j) = 0;
                  end;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),104+1+2);
                  mark.point(j,2) = dum(j);
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 94;  % 3x10
            if size(find(ad_data(p_cnt).raw(:,94+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,94+1+2)>0);
               mark.num = floor(length(dum));
               for j = 1: mark.num;
                  if o_mark.ave(j)==1;
                     if dum(j)-para.pre <= 0;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Pre time!','Warning');
                        return;
                     end;
                     if dum(j)+para.relax+para.post > info(dis_no).datanum;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Relax time or Post time!','Warning');
                        return;
                     end;
                     if size ( find( ad_data(p_cnt).raw(dum(j)-para.pre:dum(j)+para.relax+para.post,96)>0)) ~=0 ;
                        mark.move(j) = 1;
                     else;
                        mark.move(j) = 0;
                     end;
                  else;
                     mark.move(j) = 0;
                  end;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),94+1+2);
                  mark.point(j,2) = dum(j);
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 48;
            if size(find(ad_data(p_cnt).raw(:,48+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,48+1+2)>0);
               mark.num = length(dum);

               for j = 1: mark.num;
                  if o_mark.ave(j)==1;
                     if dum(j)-para.pre <= 0;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Pre time!','Warning');
                     end;
                     if dum(j)+para.relax+para.post > info(dis_no).datanum;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Relax time or Post time!','Warning');
                     end;
                     if size ( find( ad_data(p_cnt).raw(dum(j)-para.pre:dum(j)+para.relax+para.post,50)>0)) ~=0 ;
                        mark.move(j) = 1;
                     else;
                        mark.move(j) = 0;
                     end;
                  else;
                     mark.move(j) = 0;
                  end;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),48+1+2);
                  mark.point(j,2) = dum(j);
               end;
            end;
         elseif info(p_cnt).ad_ch_max == 44;
            if size(find(ad_data(p_cnt).raw(:,48+1+2)>0))~=0;
               dum = find(ad_data(p_cnt).raw(:,48+1+2)>0);
               mark.num = length(dum);
               for j = 1: mark.num;
                   if o_mark.ave(j)==1;
                     if dum(j)-para.pre <= 0;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Pre time!','Warning');
                        return;
                     end;
                     if dum(j)+para.relax+para.post > info(dis_no).datanum;
                        if para.sel_move == 1;
                           para.sel_move = 0;
                        else;
                          para.sel_move = 1;
                        end;
                        set(main_h.move,'value',para.sel_move);
                        mark = o_mark;
                        clear o_mark;
                        warndlg('Too long Relax time or Post time!','Warning');
                        return;
                     end;
                     if size ( find( ad_data(p_cnt).raw(dum(j)-para.pre:dum(j)+para.relax+para.post,50)>0)) ~=0 ;
                        mark.move(j) = 1;
                     else;
                        mark.move(j) = 0;
                     end;
                  else;
                     mark.move(j) = 0;
                  end;
                  mark.point(j,1) = ad_data(p_cnt).raw(dum(j),48+1+2);
                  mark.point(j,2) = dum(j);
               end;
            end;
         end;
      end;   
   end;   
end;   
%****** Add Mark Infomation ******
if isfield(o_mark,'move') ==1;
   mark.ave = o_mark.ave;
else;                        % init
   mark.ave(1:mark.num) =1; 
end;
clear dum;clear j;clear cnt;clear w_mark;clear w_num;clear o_mark;clear o_j;clear nomark_flg;
%fprintf('input_move info(p_cnt).adnmpn =%d\n',info(p_cnt).adnmpn);   

