%function pos=pos_read()
pos_name = '';
mode_err=0;
[pos_fname, pos_pname] = uigetfile('*.txt;*.pos','Please select position file.');
if length(pos_fname) <= 1 | length(pos_pname) <= 1;
   del_fig(80,80);
   pos=0;
   mode_err=2;
   return;
end;
clear pos;
pos_name = strcat(pos_pname,pos_fname);

pfp = fopen(pos_name,'r');
if pfp == -1;  % Open err
   fprintf('*** return fp=%d,pos_name =%s\n',fp,pos_name);
   warndlg(['File open err.Please check Position File.'],'Warning !!');
   return;
end;

dum = fgets(pfp);
if dum == -1;        % eof
   break
end;
dum = strdel(dum,' '); 
len = length(dum);
if len >= 10;
   if strncmp(dum,'[FileInfo]',10) == 0;
      warndlg(['File Format err.Please check Position File.'],'Warning !!');
      return;
   end;
end;

pattern_flg = 0;
%********** FileInfo *************
if len >= 10;
   if strncmp(dum,'[FileInfo]',10) == 1;
      %***** FILE ID *****
      dum = fgets(pfp);
      dum = strdel(dum,' '); 
      len = length(dum);
      if len > 3;
         if strncmp(dum,'ID=',3) == 1;
         end;
      end;
      %***** FILE VER *****
      dum = fgets(pfp);
      dum = strdel(dum,' '); 
      len = length(dum);
      if len > 4;
         if strncmp(dum,'VER=',4) == 1;
         end;
      end;
      %***** FILE PROBE or MODE or ProductName *****
      dum = fgets(pfp);
      dum = strdel(dum,' '); 
      len = length(dum);
      if len > 5;
         if strncmp(dum,'PROBE=',6) == 1;
         elseif strncmp(dum,'MODE=',5) == 1;
            pattern_flg = 1;
         elseif strncmp(dum,'ProductName=',11) == 1;
            pattern_flg = 3;
         end;
      end;
      %***** FILE TYPE *****
      dum = fgets(pfp);
      dum = strdel(dum,' '); 
      len = length(dum);
      if len > 5;
         if strncmp(dum,'TYPE=',5) == 1;
         end;
      end;
   end;
   %********** User *************
   dum = fgets(pfp);
   dum = strdel(dum,' '); 
   len = length(dum);
   if len >= 6;
      if pattern_flg == 0;
         while(1);
            if strncmp(dum,'[User]',6) ~= 1;
               dum = fgets(pfp);
               dum = strdel(dum,' '); 
               len = length(dum);
            else;
               break;
            end;
         end;
         %***** USER Name *****
         dum = fgets(pfp);
         dum = strdel(dum,' '); 
         len = length(dum);
         if len > 5;
            if strncmp(dum,'Name=',5) == 1;
            end;
         end;
         %***** USER ID *****
         dum = fgets(pfp);
         dum = strdel(dum,' '); 
         len = length(dum);
         if len > 3;
            if strncmp(dum,'ID=',3) == 1;
            end;
         end;
         %***** USER Comment or Sex *****
         dum = fgets(pfp);
         dum = strdel(dum,' '); 
         len = length(dum);
         %***** USER Sex *****
         if len > 4;
            if strncmp(dum,'Sex=',4) == 1;
               pattern_flg = 2;
            end;
         end;
%          if len > 8;
%             if strncmp(dum,'Comment=',8) == 1;
%                pattern_flg = 3;
%             end;
%          end;
         %***** USER Sex pattern 3 *****
         dum = fgets(pfp);
         dum = strdel(dum,' '); 
         len = length(dum);
         %***** USER Age pattern 3 *****
         dum = fgets(pfp);
         dum = strdel(dum,' '); 
         len = length(dum);
         %***** [Probex] or [RightEar] *****
         dum = fgets(pfp);
         dum = strdel(dum,' '); 
         len = length(dum);
         %***** Probe  *****
         if len > 6;
            if strncmp(dum,'[Probe',6) == 1;
               pattern_flg = 3;
            end;
         elseif len > 6;
            if strncmp(dum,'[LeftEar]',9) == 1;
               pattern_flg = 2;
            end;
         end;
      end;
   end;
end;
fclose(pfp);

if pattern_flg == 0;
   pattern_flg = 2;
end;

if pattern_flg == 1;
   pos_read1;
%   pos_read1;
elseif pattern_flg == 2;
   pos_read;
%   pos_read2;
elseif pattern_flg == 3;
   pos_read;
%   pos_read3;
end;
return;

