%function pos=pos_read()
% pos_name = '';
% mode_err=0;
% [pos_fname, pos_pname] = uigetfile('*.txt;*.pos','Pos Data Load');
% if length(pos_fname) <= 1 | length(pos_pname) <= 1;
%    del_fig(80,80);
%    pos=0;
%    mode_err=2;
%    return;
% end;
% clear pos;
% pos_name = strcat(pos_pname,pos_fname);
pos(1).pos_name = pos_name;
pfp = fopen(pos_name,'r');
if pfp == -1;  % Open err
   fprintf('*** return fp=%d,pos_name =%s\n',fp,pos_name);
   warndlg(['File open err.Please check Position File.'],'Warning !!');
   del_fig(80,80);
   return;
end;

% info data count
info_cnt=0;
cnt = 0;
probe_cnt = 1;
while(1); 
   dum = fgets(pfp);
   if dum == -1;        % eof
      break
   end;
   dum = strdel(dum,' '); 
   len = length(dum);
   %********** FileInfo *************
   if len >= 10;
      if strncmp(dum,'[FileInfo]',10) == 1;
         for i=0:10;
            dum = fgets(pfp);
            if dum(1) == '[';
               break
            end;
            info_cnt=info_cnt+1;
         end;
      end;
   end;
end;
fclose(pfp);

% user data count
user_cnt=0;
pfp = fopen(pos_name,'r');
while(1); 
   dum = fgets(pfp);
   if dum == -1;        % eof
      break
   end;
   dum = strdel(dum,' '); 
   len = length(dum);
   %********** UserInfo *************
   if len >= 6;
      if strncmp(dum,'[User]',6) == 1;
         for i=0:10;
            dum = fgets(pfp);
            if dum(1) == '[';
               break
            end;
            user_cnt=user_cnt+1;
         end;
      end;
   end;
end;
fclose(pfp);

%data_size = size(info);
mode_err=0;
cnt = 0;
probe_cnt = 1;
pos(1).file_probe = 1;
pfp = fopen(pos_name,'r');
while(1); 
   cnt = cnt+1;
   dum = fgets(pfp);
   if dum == -1;        % eof
      break
   end;
   dum = strdel(dum,' '); 
   len = length(dum);

   %********** FileInfo *************
   if len >= 10;
      if strncmp(dum,'[FileInfo]',10) == 1;
         for i=1:info_cnt;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** FILE ID *****
            if len > 3;
               if strncmp(dum,'ID=',3) == 1;
                  pos(probe_cnt).file_id = sprintf('%s',dum(4:len));
               end;
            end;
            %***** FILE VER *****
            if len > 4;
               if strncmp(dum,'VER=',4) == 1;
                  pos(probe_cnt).file_ver = str2num(sprintf('%s',dum(5:len)));
               end;
            end;
            %***** FILE PROBE *****
            if len > 6;
               if strncmp(dum,'PROBE=',6) == 1;
                  pos(probe_cnt).file_probe = str2num(sprintf('%s',dum(7:len)));
               end;
            end;
            %***** FILE TYPE *****
            if len > 5;
               if strncmp(dum,'TYPE=',5) == 1;
                  pos(probe_cnt).file_type = str2num(sprintf('%s',dum(6:len)));
               end;
            end;
            %***** PRODUCT *****
            if len > 12;
               if strncmp(dum,'ProductName=',12) == 1;
                  pos(probe_cnt).file_product = str2num(sprintf('%s',dum(12:len)));
               end;
            end;
            %***** Probe Mode *****
            if len > 5;
               if strncmp(dum,'MODE=',5) == 1;               
                  pos(probe_cnt).mode = str2num(sprintf('%s',dum(6:len)));
               end;
            end;
            %***** ProbeNum *****
            if len > 9;
               if strncmp(dum,'ProbeNum=',9) == 1;               
                  pos(probe_cnt).ch_cnt = str2num(sprintf('%s',dum(10:len)));
               end;
            end;
         end;
      end;
   end;
   %********** User *************
   if len >= 6;
      if strncmp(dum,'[User]',6) == 1;
         for i=1:user_cnt;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** USER Name *****
            if len > 5;
               if strncmp(dum,'Name=',5) == 1;
                  pos(probe_cnt).user_name = sprintf('%s',dum(6:len));
               end;
            end;
            %***** USER ID *****
            if len > 3;
               if strncmp(dum,'ID=',3) == 1;
                  pos(probe_cnt).user_id = sprintf('%s',dum(4:len));
               end;
            end;
            %***** USER Comment *****
            if len > 8;
               if strncmp(dum,'Comment=',8) == 1;
                  pos(probe_cnt).user_comment = sprintf('%s',dum(9:len));
               end;
            end;
            %***** USER Sex *****
            if len > 4;
               if strncmp(dum,'Sex=',4) == 1;
                  pos(probe_cnt).user_sex = sprintf('%s',dum(5:len));
               end;
            end;
            %***** USER Age *****
            if len > 4;
               if strncmp(dum,'Age=',4) == 1;
                  pos(probe_cnt).user_age = sprintf('%s',dum(5:len));
               end;
            end;
         end;
      end;
   end;
   %********** LeftEar *************
   if len >= 9;
      if strncmp(dum,'[LeftEar]',9) == 1;
         for i=1:3;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** LEFT X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).left_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).left_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).left_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
   %********** RightEar *************
   if len >= 10;
      if strncmp(dum,'[RightEar]',10) == 1;
         for i=1:3;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** RIGHT X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).right_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).right_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).right_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
   %********** Nasion *************
   if len >= 6;
      if strncmp(dum,'[Nasion]',8) == 1;
         for i=1:3;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** Nasion X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).nasion_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).nasion_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).nasion_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
   %********** Back *************
   if len >= 6;
      if strncmp(dum,'[Inion]',7) == 1;
         for i=0:10;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** Back X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).back_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).back_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).back_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
   %********** Top *************
   if len >= 5;
      if strncmp(dum,'[Top]',5) == 1;
         for i=1:3;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** Top X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).top_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).top_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).top_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;

   % ch position 
   if len >= 8;
      if strncmp(dum,'[Probe',6) == 1;
         p_cnt = 1;
         ch = str2num(sprintf('%s',dum(7:len-1)));
         for i=1:9;
            %***** Probe ch X *****
            dum = fgets(pfp);
            if dum == -1;
               break
            end;
            dum = strdel(dum,' '); 
            len = length(dum);
            if strncmp(dum,'X=',2) == 1;
               pos(p_cnt).ch_x(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch Y *****
            if strncmp(dum,'Y=',2) == 1;
               pos(p_cnt).ch_y(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch Z *****
            if strncmp(dum,'Z=',2) == 1;
               pos(p_cnt).ch_z(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch A *****
            if strncmp(dum,'A=',2) == 1;
               pos(p_cnt).ch_a(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch E *****
            if strncmp(dum,'E=',2) == 1;
               pos(p_cnt).ch_e(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch R *****
            if strncmp(dum,'R=',2) == 1;
               pos(p_cnt).ch_r(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch NX *****
            if strncmp(dum,'NX=',3) == 1;
               pos(p_cnt).ch_nx(ch) = str2num(sprintf('%s',dum(4:len)));
            end;
            %***** Probe ch NY *****
            if strncmp(dum,'NY=',3) == 1;
               pos(p_cnt).ch_ny(ch) = str2num(sprintf('%s',dum(4:len)));
            end;
            %***** Probe ch NZ *****
            if strncmp(dum,'NZ=',3) == 1;
               pos(p_cnt).ch_nz(ch) = str2num(sprintf('%s',dum(4:len)));
            end;
         end;   % 1-9
      end;
   end;
   %********** Angle *************
   if len >= 7;
      if strncmp(dum,'[Angle]',7) == 1;
         for i=1:3;
            dum = fgets(pfp);
            if dum == -1;
                break
            end;
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** Angle X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(1).angle_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(1).angle_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(1).angle_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
end;
fclose(pfp);

%   eval(['ChNum=pos.Probe' num2str(ProbeID) '.ChNum;']);
%   for idx=1:ChNum
%     x(idx)=eval(['pos.Probe' num2str(ProbeID) '.ch' num2str(idx) '.X']);
%     y(idx)=eval(['pos.Probe' num2str(ProbeID) '.ch' num2str(idx) '.Y']);
%     z(idx)=eval(['pos.Probe' num2str(ProbeID) '.ch' num2str(idx) '.Z']);
%   end
  
%end;
clear p_cnt;
clear pos_len;
clear ch;
clear cnt;
clear dum;
clear i;
clear pos_fname;
clear pos_name;
clear pos_pname;
clear probe_ch;
clear probe_cnt;
clear probe_num;
clear pfp;
clear len;
clear ch_len;
clear info_cnt;
clear user_cnt;
clear shift_cnt;
if pos(1).mode ~= info(1).probe_mode;
   if pos(1).mode == 6 & info(1).probe_mode == 5;
   else;
      warndlg('Probe modes are different.','Warning !');
      mode_err=1;
      del_fig(80,80);
      return;
   end;
end;


return;
