% except_ch
%
% Input : info,para_p,hb_data,Sel_graph
% Output: hb_data
% Example: [hb_data] = except_ch(info,para_p,hb_data,Sel_graph); 

%*******************************************************
%*            Input Parameter(Not Function)            *
%*                   Hiroaki Kusabuka                  *
%*                  HITACHI MECICAL                    *
%*******************************************************
% history :04.02.09 Ver2.02 Kusabuka   Probe many load
%********** Initial Value ***********
function [hb_data] = except_ch(info,para_p,hb_data,Sel_graph); 

%fprintf('except_ch\n');

% except_ch data 0 (local)
for i=1:(info(Sel_graph).ad_ch_max/2);
   if info(Sel_graph).err_ch(i)==1 & para_p.del_ch ==1;
       if hb_data(Sel_graph).calc_flg==2;  
          hb_data(Sel_graph).const(1,:,i)=0;
          hb_data(Sel_graph).const(2,:,i)=0;
          hb_data(Sel_graph).const(3,:,i)=0;
          hb_data(Sel_graph).const(4,:,i)=0;
       else;
          hb_data(Sel_graph).const(1,:,i)=0;
          hb_data(Sel_graph).const(2,:,i)=0;
          hb_data(Sel_graph).const(3,:,i)=0;
          hb_data(Sel_graph).const(4,:,i)=0;
       end;
   end;
end;