%*******************************************************
%*                    KL integral File Out             *
%*                     (HTS) H.K                       *
%*                     2007/3/7                        *
%*******************************************************
function fout_klint(info,para,para_p,hb_data,mark,ad_data,p_cnt);

%if para.high_flg == 1 | para.low_flg == 1 | para.moveave_flg == 1;
%   if isfield(hb_data(p_cnt),'fil') ~= 1;
%      warndlg('Please set and re-calculate a filter.','Warning');
%      return;
%   end;
%end;
   
[fname, putname]=uiputfile('*_reint_oxy.csv','Input file name');
if fname==0;
   clear fname;
   clear putname;
   return;
end;
%*** File out ***
if info(1).sys_ver >= 7;
   match=findstr(fname,'_reint_oxy.csv');
   work=sprintf('%s',fname(1:match(length(match))-1));
   fname=work;
end;
clear work;clear match;
% 
% for p_cnt=1:para_p.max_prb;  % for 5 probe
%    if (p_cnt==1 & para_p.sel_prb1 ~=1) | (p_cnt==2 & para_p.sel_prb2 ~=1) | (p_cnt==3 & para_p.sel_prb3 ~=1) |(p_cnt==4 & para_p.sel_prb4 ~=1) |(p_cnt==5 & para_p.sel_prb5 ~=1);
%    elseif (p_cnt==1 & para_p.load_prb1 ~=1 ) | (p_cnt==2 & para_p.load_prb2 ~=1) | (p_cnt==3 & para_p.load_prb3 ~=1) | (p_cnt==4 & para_p.load_prb4 ~=1) | (p_cnt==5 & para_p.load_prb5 ~=1);
%    else;

      % File check
      raw_name1=sprintf('%s%s_Probe%d_reint_oxy.csv',putname,fname,p_cnt);
      fp1 = fopen(raw_name1,'r+');
      if fp1 ~= -1;
         warndlg(['The file of the same name already exists.',fname],'Warning !!');
         fclose(fp1);
         clear ans;
         clear j;clear cnt;
         clear fp1;clear fig_no;
         clear raw_name1;clear fname;clear putname;
         return;
      end;
      raw_name2=sprintf('%s%s_Probe%d_reint_deoxy.csv',putname,fname,p_cnt);
      fp2 = fopen(raw_name2,'r+');
      if fp2 ~= -1;
         warndlg(['The file of the same name already exists.',fname],'Warning !!');
         fclose(fp1);
         fclose(fp2);
         clear ans;
         clear j;clear cnt;
         clear fp1;clear fp2;clear fig_no;
         clear raw_name1;clear raw_name2;clear fname;clear putname;
         return;
      end;
      raw_name3=sprintf('%s%s_Probe%d_reint_total.csv',putname,fname,p_cnt);
      fp3 = fopen(raw_name3,'r+');
      if fp3 ~= -1;
         warndlg(['The file of the same name already exists.',fname],'Warning !!');
         fclose(fp1);
         fclose(fp2);
         fclose(fp3);
         clear ans;
         clear j;clear cnt;
         clear fp1;clear fp2;clear fp3;clear fig_no;
         clear raw_name1;clear raw_name2;clear raw_name3;clear fname;clear putname;
         return;
      end;
      
      % File open
      fp1 = fopen(raw_name1,'w');
      if fp1 ==-1; 
         warndlg(['File open err.Please check disk.'],'Warning !!');
         clear ans;
         clear cnt;clear j;
         clear fp1;clear fig_no;
         clear raw_name1;clear raw_name2;clear raw_name3;clear fname;clear putname;
         return;
      end;
      fp2 = fopen(raw_name2,'w');
      if fp2 ==-1; 
         warndlg(['File open err.Please check disk.'],'Warning !!');
         delete(raw_name);
         clear ans;
         clear cnt;clear j;
         clear fp;clear fig_no;
         clear raw_name;clear fname;clear putname;
         return;
      end;
      fp3 = fopen(raw_name3,'w');
      if fp3 ==-1; 
         warndlg(['File open err.Please check disk.'],'Warning !!');
         delete(raw_name);
         clear ans;
         clear cnt;clear j;
         clear fp;clear fig_no;
         clear raw_name;clear fname;clear putname;
         return;
      end;

      %***** Text Fileout ******
      fprintf(fp1,'Header,Reconstruct integral Data(Oxy)\n');
      fprintf(fp2,'Header,Reconstruct integral Data(Deoxy)\n');
      fprintf(fp3,'Header,Reconstruct integral Data(Total)\n');
      
%      fprintf(fp1,'File Version,2.08\n');
      fprintf(fp1,'File Version,%f\n',info(p_cnt).version);
      fprintf(fp2,'File Version,%f\n',info(p_cnt).version);
      fprintf(fp3,'File Version,%f\n',info(p_cnt).version);      
      %****** Patient Information ********
      fprintf(fp1,'Patient Information\n');
      fprintf(fp2,'Patient Information\n');
      fprintf(fp3,'Patient Information\n');
      
      fprintf(fp1,'ID,%s\n',deblank(info(p_cnt).id));                % ID
      fprintf(fp2,'ID,%s\n',deblank(info(p_cnt).id));
      fprintf(fp3,'ID,%s\n',deblank(info(p_cnt).id));
      fprintf(fp1,'Name,%s\n',deblank(info(p_cnt).name));            % Name
      fprintf(fp2,'Name,%s\n',deblank(info(p_cnt).name));
      fprintf(fp3,'Name,%s\n',deblank(info(p_cnt).name));
      fprintf(fp1,'Comment,%s\n',info(p_cnt).comment);      % Comment
      fprintf(fp2,'Comment,%s\n',info(p_cnt).comment);
      fprintf(fp3,'Comment,%s\n',info(p_cnt).comment);
      fprintf(fp1,'Age,%s',info(p_cnt).age);                % age
      fprintf(fp2,'Age,%s',info(p_cnt).age);
      fprintf(fp3,'Age,%s',info(p_cnt).age);
      fprintf(fp1,'Sex,%s',info(p_cnt).sex);                % sex
      fprintf(fp2,'Sex,%s',info(p_cnt).sex);
      fprintf(fp3,'Sex,%s',info(p_cnt).sex);
      fprintf(fp1,'Analyze Information\n');                 % Analyze Information
      fprintf(fp2,'Analyze Information\n');
      fprintf(fp3,'Analyze Information\n');
      work = ' ';
      if hb_data(p_cnt).ana_mode == 2;                      % AnalyzeMode
         work = sprintf('%s','Integral');
      elseif hb_data(p_cnt).ana_mode == 1;
         work = sprintf('%s','Continuous');
      end;
      fprintf(fp1,'AnalyzeMode,%s\n',work);
      fprintf(fp2,'AnalyzeMode,%s\n',work);
      fprintf(fp3,'AnalyzeMode,%s\n',work);
      clear work;
      fprintf(fp1,'Pre Time[s],%-4.1f\n',para.pre*info(p_cnt).smpl_period/1000);            % Pre Time[s]
      fprintf(fp2,'Pre Time[s],%-4.1f\n',para.pre*info(p_cnt).smpl_period/1000);
      fprintf(fp3,'Pre Time[s],%-4.1f\n',para.pre*info(p_cnt).smpl_period/1000);
      fprintf(fp1,'Post Time[s],%-4.1f\n',para.post*info(p_cnt).smpl_period/1000);          % Post Time[s]
      fprintf(fp2,'Post Time[s],%-4.1f\n',para.post*info(p_cnt).smpl_period/1000);
      fprintf(fp3,'Post Time[s],%-4.1f\n',para.post*info(p_cnt).smpl_period/1000);
%**********************************
% relax ?
%**********************************
      fprintf(fp1,'Recovery Time[s],%-4.1f\n',para.relax*info(p_cnt).smpl_period/1000);     % Recovery Time[s]
      fprintf(fp2,'Recovery Time[s],%-4.1f\n',para.relax*info(p_cnt).smpl_period/1000);
      fprintf(fp3,'Recovery Time[s],%-4.1f\n',para.relax*info(p_cnt).smpl_period/1000);
%      fprintf(fp1,'Base Time[s],%-4.1f\n',para.base*info(p_cnt).smpl_period/1000);          % Base Time[s]
%      fprintf(fp2,'Base Time[s],%-4.1f\n',para.base*info(p_cnt).smpl_period/1000);
%      fprintf(fp3,'Base Time[s],%-4.1f\n',para.base*info(p_cnt).smpl_period/1000);
      fprintf(fp1,'Base Start[s],%-4.1f\n',para.base_st*info(p_cnt).smpl_period/1000);      % Base Start[s]
      fprintf(fp2,'Base Start[s],%-4.1f\n',para.base_st*info(p_cnt).smpl_period/1000);
      fprintf(fp3,'Base Start[s],%-4.1f\n',para.base_st*info(p_cnt).smpl_period/1000);
      fprintf(fp1,'Base End[s],%-4.1f\n',para.base_ed*info(p_cnt).smpl_period/1000);        % Base End[s]
      fprintf(fp2,'Base End[s],%-4.1f\n',para.base_ed*info(p_cnt).smpl_period/1000);
      fprintf(fp3,'Base End[s],%-4.1f\n',para.base_ed*info(p_cnt).smpl_period/1000);
%      fprintf(fp1,'Fitting Degree,%d\n',para.Fitting);        % Fitting
%      fprintf(fp2,'Fitting Degree,%d\n',para.Fitting);
%      fprintf(fp3,'Fitting Degree,%d\n',para.Fitting);
      fprintf(fp1,'Fitting Degree,%s\n','');        % Fitting no dout
      fprintf(fp2,'Fitting Degree,%s\n','');
      fprintf(fp3,'Fitting Degree,%s\n','');
      % filter
      if para.high_flg == 1 | para.low_flg == 1 | para.moveave_flg == 1;
         fprintf(fp1,'HighPass filter');
         fprintf(fp2,'HighPass filter');
         fprintf(fp3,'HighPass filter');
         if para.high_flg == 1;
            fprintf(fp1,',%f\n',para.high_val);
            fprintf(fp2,',%f\n',para.high_val);
            fprintf(fp3,',%f\n',para.high_val);
         else;
            fprintf(fp1,',%f\n',0);
            fprintf(fp2,',%f\n',0);
            fprintf(fp3,',%f\n',0);
         end;
         fprintf(fp1,'LowPass filter');
         fprintf(fp2,'LowPass filter');
         fprintf(fp3,'LowPass filter');
         if para.low_flg == 1;
            fprintf(fp1,',%f\n',para.low_val);
            fprintf(fp2,',%f\n',para.low_val);
            fprintf(fp3,',%f\n',para.low_val);
         else;
            fprintf(fp1,',%f\n',0);
            fprintf(fp2,',%f\n',0);
            fprintf(fp3,',%f\n',0);
         end;
         fprintf(fp1,'Moving Average');         % Moving Average
         fprintf(fp2,'Moving Average');
         fprintf(fp3,'Moving Average');
         if para.moveave_flg == 1;
            fprintf(fp1,',%f\n',para.move_val);
            fprintf(fp2,',%f\n',para.move_val);
            fprintf(fp3,',%f\n',para.move_val);
         else;
            fprintf(fp1,',%f\n',0);
            fprintf(fp2,',%f\n',0);
            fprintf(fp3,',%f\n',0);
         end;
      else;
         fprintf(fp1,'HighPass filter,0\n');
         fprintf(fp2,'HighPass filter,0\n');
         fprintf(fp3,'HighPass filter,0\n');
         fprintf(fp1,'LowPass filter,0\n');
         fprintf(fp2,'LowPass filter,0\n');
         fprintf(fp3,'LowPass filter,0\n');
         fprintf(fp1,'Moving Average,0\n');
         fprintf(fp2,'Moving Average,0\n');
         fprintf(fp3,'Moving Average,0\n');
      end;

      if para.sel_move == 1;
         fprintf(fp1,'Body move,ON\n');
         fprintf(fp2,'Body move,ON\n');
         fprintf(fp3,'Body move,ON\n');
      else;
         fprintf(fp1,'Body move,OFF\n');
         fprintf(fp2,'Body move,OFF\n');
         fprintf(fp3,'Body move,OFF\n');
      end;
      %****************************
      % Measure Info
      %****************************
      fprintf(fp1,'Measure Information\n');
      fprintf(fp2,'Measure Information\n');
      fprintf(fp3,'Measure Information\n');
      fprintf(fp1,'Date,%s',info(p_cnt).date);        % date
      fprintf(fp2,'Date,%s',info(p_cnt).date);
      fprintf(fp3,'Date,%s',info(p_cnt).date);
      if info(p_cnt).probe_mode==1;work=sprintf('%s','3x3');end;   % 3x3
      if info(p_cnt).probe_mode==2;work=sprintf('%s','4x4');end;   % 4x4
      if info(p_cnt).probe_mode==3;work=sprintf('%s','3x5');end;   % 3x5
      if info(p_cnt).probe_mode==4;work=sprintf('%s','3x11');end;   % 3x11
      if info(p_cnt).probe_mode==5;work=sprintf('%s','3x10');end;   % 3x10
      fprintf(fp1,'Wave[nm],%s,%s\n',ad_data(p_cnt).title1,ad_data(p_cnt).title2);        % Wave[nm]
      fprintf(fp2,'Wave[nm],%s,%s\n',ad_data(p_cnt).title1,ad_data(p_cnt).title2);
      fprintf(fp3,'Wave[nm],%s,%s\n',ad_data(p_cnt).title1,ad_data(p_cnt).title2);
      fprintf(fp1,'Mode,%s\n',work);        % mode
      fprintf(fp2,'Mode,%s\n',work);
      fprintf(fp3,'Mode,%s\n',work);
      
      fprintf(fp1,'Wave Length,');                                  % Wave Length
      fprintf(fp2,'Wave Length,');
      fprintf(fp3,'Wave Length,');
      cnt=0;
      for num=1:info(p_cnt).ad_ch_max;
         if (rem(num,2)) == 1;   % amari
            cnt = cnt+1; 
         end;
         
         fprintf(fp1,'CH%d(%5.1f),',cnt,info(p_cnt).wlen(num));
         fprintf(fp2,'CH%d(%5.1f),',cnt,info(p_cnt).wlen(num));
         fprintf(fp3,'CH%d(%5.1f),',cnt,info(p_cnt).wlen(num));
      end;
      fprintf(fp1,'\n');
      fprintf(fp2,'\n');
      fprintf(fp3,'\n');
      
      fprintf(fp1,'Analog Gain\n');
      fprintf(fp2,'Analog Gain\n');
      fprintf(fp3,'Analog Gain\n');
      fprintf(fp1,'Digital Gain\n');
      fprintf(fp2,'Digital Gain\n');
      fprintf(fp3,'Digital Gain\n');
      
      fprintf(fp1,'Sampling Period[s],%f\n',info(p_cnt).smpl_period/1000);        % mode
      fprintf(fp2,'Sampling Period[s],%f\n',info(p_cnt).smpl_period/1000);
      fprintf(fp3,'Sampling Period[s],%f\n',info(p_cnt).smpl_period/1000);
      if info(p_cnt).measure_mode(1)==1; %****** Stim Mode *******
         work =sprintf('%s','STIM');
      elseif info(p_cnt).measure_mode(1)==2; %****** Stim Mode *******
         work =sprintf('%s','Event');
      end;
      fprintf(fp1,'StimType,%s\n',work);
      fprintf(fp2,'StimType,%s\n',work);
      fprintf(fp3,'StimType,%s\n',work);

      if para_p.del_ch == 1;                    %* ch delete
         fprintf(fp1,'Exception Ch,ON\n');
         fprintf(fp2,'Exception Ch,ON\n');
         fprintf(fp3,'Exception Ch,ON\n');
      else;
         fprintf(fp1,'Exception Ch,OFF\n');
         fprintf(fp2,'Exception Ch,OFF\n');
         fprintf(fp3,'Exception Ch,OFF\n');
      end;
      fprintf(fp1,'Exception,');
      fprintf(fp2,'Exception,');
      fprintf(fp3,'Exception,');
      for i=1:info(p_cnt).ad_ch_max/2;
         fprintf(fp1,' %d',info(p_cnt).err_ch(i));
         fprintf(fp2,' %d',info(p_cnt).err_ch(i));
         fprintf(fp3,' %d',info(p_cnt).err_ch(i));
      end; 
      fprintf(fp1,'\n');
      fprintf(fp2,'\n');
      fprintf(fp3,'\n');
      if info(p_cnt).ad_ch_max/2 == 24;
         fprintf(fp1,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,ch23,ch24,BodyMovement,Mark\n');
         fprintf(fp2,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,ch23,ch24,BodyMovement,Mark\n');
         fprintf(fp3,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,ch23,ch24,BodyMovement,Mark\n');
      elseif info(p_cnt).ad_ch_max/2 == 22;
         fprintf(fp1,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,BodyMovement,Mark\n');
         fprintf(fp2,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,BodyMovement,Mark\n');
         fprintf(fp3,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,BodyMovement,Mark\n');
      elseif info(p_cnt).ad_ch_max/2 == 52;
         fprintf(fp1,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,ch23,ch24,ch25,ch26,ch27,ch28,ch29,ch30,ch31,ch32,ch33,ch34,ch35,ch36,ch37,ch38,ch39,ch40,ch41,ch42,ch43,ch44,ch45,ch46,ch47,ch48,ch49,ch50,ch51,ch52,BodyMovement,Mark\n');
         fprintf(fp2,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,ch23,ch24,ch25,ch26,ch27,ch28,ch29,ch30,ch31,ch32,ch33,ch34,ch35,ch36,ch37,ch38,ch39,ch40,ch41,ch42,ch43,ch44,ch45,ch46,ch47,ch48,ch49,ch50,ch51,ch52,BodyMovement,Mark\n');
         fprintf(fp3,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,ch23,ch24,ch25,ch26,ch27,ch28,ch29,ch30,ch31,ch32,ch33,ch34,ch35,ch36,ch37,ch38,ch39,ch40,ch41,ch42,ch43,ch44,ch45,ch46,ch47,ch48,ch49,ch50,ch51,ch52,BodyMovement,Mark\n');
      elseif info(p_cnt).ad_ch_max/2 == 47;
         fprintf(fp1,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,ch23,ch24,ch25,ch26,ch27,ch28,ch29,ch30,ch31,ch32,ch33,ch34,ch35,ch36,ch37,ch38,ch39,ch40,ch41,ch42,ch43,ch44,ch45,ch46,ch47,BodyMovement,Mark\n');
         fprintf(fp2,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,ch23,ch24,ch25,ch26,ch27,ch28,ch29,ch30,ch31,ch32,ch33,ch34,ch35,ch36,ch37,ch38,ch39,ch40,ch41,ch42,ch43,ch44,ch45,ch46,ch47,BodyMovement,Mark\n');
         fprintf(fp3,'No.,ch1,ch2,ch3,ch4,ch5,ch6,ch7,ch8,ch9,ch10,ch11,ch12,ch13,ch14,ch15,ch16,ch17,ch18,ch19,ch20,ch21,ch22,ch23,ch24,ch25,ch26,ch27,ch28,ch29,ch30,ch31,ch32,ch33,ch34,ch35,ch36,ch37,ch38,ch39,ch40,ch41,ch42,ch43,ch44,ch45,ch46,ch47,BodyMovement,Mark\n');
      end;
      
      % Integral time
      if para.sel_move == 0;
         add_mark  = find(mark.ave==1);
      else;
         add_mark  = find(mark.ave==1 & mark.move==0);
      end;
      if info(p_cnt).measure_mode == 1;          % Stim 
         int_time = mark.point(add_mark(1),3)-mark.point(add_mark(1),2);
      else;                                       % Event
         int_time = 1;
      end;

%      for num=1:ceil(length(hb_data(p_cnt).klint));
      data_len = size(hb_data(p_cnt).klint);
      for num=1:data_len(2);
          mark_flg = 0;
          if (para.pre+1 == num) | (num == para.pre+int_time); % pre < num < para.pre+int_time (int_time >=10)
             mark_flg = mark.point(add_mark(1),1);
          end;
         if info(p_cnt).ad_ch_max/2 == 24;
                               %1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 m 
               fprintf(fp1,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(1,num,:),0,mark_flg);
               fprintf(fp2,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(2,num,:),0,mark_flg);
               fprintf(fp3,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(3,num,:),0,mark_flg);
         elseif info(p_cnt).ad_ch_max/2 == 22;
                               %1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22
               fprintf(fp1,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(1,num,:),0,mark_flg);
               fprintf(fp2,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(2,num,:),0,mark_flg);
               fprintf(fp3,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(3,num,:),0,mark_flg);
         elseif info(p_cnt).ad_ch_max/2 == 52;
                               %1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52
               fprintf(fp1,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(1,num,:),0,mark_flg);
               fprintf(fp2,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(2,num,:),0,mark_flg);
               fprintf(fp3,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(3,num,:),0,mark_flg);
         elseif info(p_cnt).ad_ch_max/2 == 47;
                               %1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 
               fprintf(fp1,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(1,num,:),0,mark_flg);
               fprintf(fp2,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(2,num,:),0,mark_flg);
               fprintf(fp3,'%d,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%d,%d\n',num,hb_data(p_cnt).klint(3,num,:),0,mark_flg);
         end;
      end;

      fclose(fp1);
      fclose(fp2);
      fclose(fp3);
%    end;
% end;
clear num;clear ch;
clear raw_oxy;clear raw_deo;clear raw_tot;
clear w;clear Fs;
