% graph_posi 
%
% Input  : info,hb_graph_h,set_posi
% Output : hb_graph_h
% Example: [hb_graph_h] = graph_posi(info,hb_graph_h,set_posi); 

%*******************************************************
%*               Plot Hb Map Function                  *
%*                   Hiroaki Kusabuka                  *
%*                  HITACHI MECICAL                    *
%*******************************************************
% HistoryF03.11.17 Ver2.01  Kusabuka multi probe

function [hb_graph_h] = graph_posi(info,hb_graph_h,set_posi,para_p);

% Version get
% work=findstr(info(1).sys_ver(1).Version,'.');
% if length(work) == 0;
%    sys_ver=str2num(info(1).sys_ver(1).Version);
% else;
%    sys_ver=str2num(info(1).sys_ver(1).Version(1:work(1)-1));
% end;
%****** 33hb ******
%fprintf('graph_posi set_posi=%d\n',set_posi);
   if info(set_posi).probe_mode==1;
      % probe A
      if para_p.angle(set_posi).angle1==1;  % 0
         hb_graph_h(set_posi).graph_posi(1).p  = [0.2173    0.8440    0.1019    0.1179];
         hb_graph_h(set_posi).graph_posi(2).p  = [0.3519    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(3).p  = [0.1500    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(4).p  = [0.2846    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(5).p  = [0.4192    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(6).p  = [0.2173    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(7).p  = [0.3519    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(8).p  = [0.1500    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(9).p  = [0.2846    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(10).p = [0.4192    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(11).p = [0.2173    0.1100    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(12).p = [0.3519    0.1100    0.1019    0.1197];
      elseif para_p.angle(set_posi).angle1==2;  % 90
         hb_graph_h(set_posi).graph_posi(8).p  = [0.2173    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(3).p  = [0.3519    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(11).p = [0.1500    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(6).p  = [0.2846    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(1).p  = [0.4192    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(9).p  = [0.2173    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(4).p  = [0.3519    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(12).p = [0.1500    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(7).p  = [0.2846    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(2).p  = [0.4192    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(10).p = [0.2173    0.1100    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(5).p  = [0.3519    0.1100    0.1019    0.1197];
      elseif para_p.angle(set_posi).angle1==3;  % 180
         hb_graph_h(set_posi).graph_posi(12).p = [0.2173    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(11).p = [0.3519    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(10).p = [0.1500    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(9).p  = [0.2846    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(8).p  = [0.4192    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(7).p  = [0.2173    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(6).p  = [0.3519    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(5).p  = [0.1500    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(4).p  = [0.2846    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(3).p  = [0.4192    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(2).p  = [0.2173    0.1100    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(1).p  = [0.3519    0.1100    0.1019    0.1197];
      elseif para_p.angle(set_posi).angle1==4;  % 270
         hb_graph_h(set_posi).graph_posi(5).p  = [0.2173    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(10).p = [0.3519    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(2).p  = [0.1500    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(7).p  = [0.2846    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(12).p = [0.4192    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(4).p  = [0.2173    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(9).p  = [0.3519    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(1).p  = [0.1500    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(6).p  = [0.2846    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(11).p = [0.4192    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(3).p  = [0.2173    0.1100    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(8).p  = [0.3519    0.1100    0.1019    0.1197];
      end;
      % probe B
      if para_p.angle(set_posi).angle2==1;  % 0
         hb_graph_h(set_posi).graph_posi(13).p = [0.6312    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(14).p = [0.7658    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(15).p = [0.5639    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(16).p = [0.6985    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(17).p = [0.8331    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(18).p = [0.6312    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(19).p = [0.7658    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(20).p = [0.5639    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(21).p = [0.6985    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(22).p = [0.8331    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(23).p = [0.6312    0.1100    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(24).p = [0.7658    0.1100    0.1019    0.1197];
      elseif para_p.angle(set_posi).angle2==2;  % 90
         hb_graph_h(set_posi).graph_posi(20).p = [0.6312    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(15).p = [0.7658    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(23).p = [0.5639    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(18).p = [0.6985    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(13).p = [0.8331    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(21).p = [0.6312    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(16).p = [0.7658    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(24).p = [0.5639    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(19).p = [0.6985    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(14).p = [0.8331    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(22).p = [0.6312    0.1100    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(17).p = [0.7658    0.1100    0.1019    0.1197];
      elseif para_p.angle(set_posi).angle2==3;  % 180
         hb_graph_h(set_posi).graph_posi(24).p = [0.6312    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(23).p = [0.7658    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(22).p = [0.5639    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(21).p = [0.6985    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(20).p = [0.8331    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(19).p = [0.6312    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(18).p = [0.7658    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(17).p = [0.5639    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(16).p = [0.6985    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(15).p = [0.8331    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(14).p = [0.6312    0.1100    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(13).p = [0.7658    0.1100    0.1019    0.1197];
      elseif para_p.angle(set_posi).angle2==4;  % 270
         hb_graph_h(set_posi).graph_posi(17).p = [0.6312    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(22).p = [0.7658    0.8440    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(14).p = [0.5639    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(19).p = [0.6985    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(24).p = [0.8331    0.6605    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(16).p = [0.6312    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(21).p = [0.7658    0.4770    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(13).p = [0.5639    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(18).p = [0.6985    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(23).p = [0.8331    0.2935    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(15).p = [0.6312    0.1100    0.1019    0.1197];
         hb_graph_h(set_posi).graph_posi(20).p = [0.7658    0.1100    0.1019    0.1197];
      end;
         
      %% Hb_map
      hb_graph_h(set_posi).map(1).ml  = [0.1300    0.7012    0.3270    0.2238];
      hb_graph_h(set_posi).map(2).ml  = [0.1300    0.4056    0.3270    0.2238];
      hb_graph_h(set_posi).map(3).ml  = [0.1300    0.1100    0.3270    0.2238];
         
      hb_graph_h(set_posi).map(1).mr  = [0.5466    0.7012    0.3270    0.2238];
      hb_graph_h(set_posi).map(2).mr  = [0.5466    0.4056    0.3270    0.2238];
      if info(set_posi).sys_ver >= 7;
         hb_graph_h(set_posi).map(3).mr  = [0.5466    0.1100    0.3270    0.2238];
      else;
         hb_graph_h(set_posi).map(3).mr  = [0.5780    0.1100    0.3270    0.2238];
      end;

   end;
   %****** 44hb ******
   if info(set_posi).probe_mode==2;
      if para_p.angle(set_posi).angle1==1;  % 0
         hb_graph_h(set_posi).graph_posi(1).p  = [0.2531    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(2).p  = [0.4594    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(3).p  = [0.6657    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(4).p  = [0.1500    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(5).p  = [0.3563    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(6).p  = [0.5626    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(7).p  = [0.7688    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(8).p  = [0.2531    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(9).p  = [0.4594    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(10).p = [0.6657    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(11).p = [0.1500    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(12).p = [0.3563    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(13).p = [0.5626    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(14).p = [0.7688    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(15).p = [0.2531    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(16).p = [0.4594    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(17).p = [0.6657    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(18).p = [0.1500    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(19).p = [0.3563    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(20).p = [0.5626    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(21).p = [0.7688    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(22).p = [0.2531    0.1100    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(23).p = [0.4594    0.1100    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(24).p = [0.6657    0.1100    0.1560    0.075];
      elseif para_p.angle(set_posi).angle1==2;  % 90
         hb_graph_h(set_posi).graph_posi(18).p  = [0.2531    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(11).p  = [0.4594    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(4).p   = [0.6657    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(22).p  = [0.1500    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(15).p  = [0.3563    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(8).p   = [0.5626    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(1).p   = [0.7688    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(19).p  = [0.2531    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(12).p  = [0.4594    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(5).p   = [0.6657    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(23).p  = [0.1500    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(16).p  = [0.3563    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(9).p   = [0.5626    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(2).p   = [0.7688    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(20).p  = [0.2531    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(13).p  = [0.4594    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(6).p   = [0.6657    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(24).p  = [0.1500    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(17).p  = [0.3563    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(10).p  = [0.5626    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(3).p   = [0.7688    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(21).p  = [0.2531    0.1100    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(14).p  = [0.4594    0.1100    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(7).p   = [0.6657    0.1100    0.1560    0.075];
      elseif para_p.angle(set_posi).angle1==3;  % 180
         hb_graph_h(set_posi).graph_posi(24).p  = [0.2531    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(23).p  = [0.4594    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(22).p  = [0.6657    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(21).p  = [0.1500    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(20).p  = [0.3563    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(19).p  = [0.5626    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(18).p  = [0.7688    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(17).p  = [0.2531    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(16).p  = [0.4594    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(15).p  = [0.6657    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(14).p  = [0.1500    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(13).p  = [0.3563    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(12).p  = [0.5626    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(11).p  = [0.7688    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(10).p  = [0.2531    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(9).p   = [0.4594    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(8).p   = [0.6657    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(7).p   = [0.1500    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(6).p   = [0.3563    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(5).p   = [0.5626    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(4).p   = [0.7688    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(3).p   = [0.2531    0.1100    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(2).p   = [0.4594    0.1100    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(1).p   = [0.6657    0.1100    0.1560    0.075];
      elseif para_p.angle(set_posi).angle1==4;  % 270
         hb_graph_h(set_posi).graph_posi(7).p   = [0.2531    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(14).p  = [0.4594    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(21).p  = [0.6657    0.8900    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(3).p   = [0.1500    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(10).p  = [0.3563    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(17).p  = [0.5626    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(24).p  = [0.7688    0.7600    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(6).p   = [0.2531    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(13).p  = [0.4594    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(20).p  = [0.6657    0.6300    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(2).p   = [0.1500    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(9).p   = [0.3563    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(16).p  = [0.5626    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(23).p  = [0.7688    0.5000    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(5).p   = [0.2531    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(12).p  = [0.4594    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(19).p  = [0.6657    0.3700    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(1).p   = [0.1500    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(8).p   = [0.3563    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(15).p  = [0.5626    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(22).p  = [0.7688    0.2400    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(4).p   = [0.2531    0.1100    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(11).p  = [0.4594    0.1100    0.1560    0.075];
         hb_graph_h(set_posi).graph_posi(18).p  = [0.6657    0.1100    0.1560    0.075];
      end;

      %% hb_map
      hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
      hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
      if info(set_posi).sys_ver >= 7;
         hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
      else;
         hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
      end;
   end;
   %****** 35hb ******
   if info(set_posi).probe_mode==3;
      if para_p.angle(set_posi).angle1==1;  % 0
          hb_graph_h(set_posi).graph_posi(1).p  = [0.2315    0.8545    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(2).p  = [0.3944    0.8545    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(3).p  = [0.5573    0.8545    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(4).p  = [0.7202    0.8545    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(5).p  = [0.1500    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(6).p  = [0.3129    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(7).p  = [0.4758    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(8).p  = [0.6388    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(9).p  = [0.8017    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(10).p = [0.2315    0.5584    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(11).p = [0.3944    0.5584    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(12).p = [0.5573    0.5584    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(13).p = [0.7202    0.5584    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(14).p = [0.1500    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(15).p = [0.3129    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(16).p = [0.4758    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(17).p = [0.6388    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(18).p = [0.8017    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(19).p = [0.2315    0.2523    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(20).p = [0.3944    0.2523    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(21).p = [0.5573    0.2523    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(22).p = [0.7202    0.2523    0.1233    0.0705];
      elseif para_p.angle(set_posi).angle1==2;  % 90
%           hb_graph_h(set_posi).graph_posi(1).p  = [0.77     0.8    0.123    0.070];
%           hb_graph_h(set_posi).graph_posi(2).p  = [0.77     0.6    0.123    0.070];
%           hb_graph_h(set_posi).graph_posi(3).p  = [0.77     0.4    0.123    0.070];
%           hb_graph_h(set_posi).graph_posi(4).p  = [0.77     0.2    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(1).p  = [0.77     0.7920    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(2).p  = [0.77     0.5920   0.123    0.070];
          hb_graph_h(set_posi).graph_posi(3).p  = [0.77     0.3920    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(4).p  = [0.77     0.1920    0.123    0.070];
          
          hb_graph_h(set_posi).graph_posi(5).p  = [0.615    0.8800    0.123   0.070];
          hb_graph_h(set_posi).graph_posi(6).p  = [0.615    0.6850    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(7).p  = [0.615    0.4900    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(8).p  = [0.615    0.2950    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(9).p  = [0.615    0.1000    0.123    0.070];
          
          hb_graph_h(set_posi).graph_posi(10).p = [0.46     0.7920    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(11).p = [0.46     0.5920    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(12).p = [0.46     0.3920    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(13).p = [0.46     0.1920    0.123    0.070];
          
          hb_graph_h(set_posi).graph_posi(14).p = [0.305    0.8800    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(15).p = [0.305    0.6850    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(16).p = [0.305    0.4900    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(17).p = [0.305    0.2950    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(18).p = [0.305    0.1000    0.123    0.070];
          
          hb_graph_h(set_posi).graph_posi(19).p = [0.15     0.7920    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(20).p = [0.15     0.5920    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(21).p = [0.15     0.3920    0.123    0.070];
          hb_graph_h(set_posi).graph_posi(22).p = [0.15     0.1920    0.123    0.070];

      elseif para_p.angle(set_posi).angle1==3;  % 180
          hb_graph_h(set_posi).graph_posi(22).p  = [0.2315    0.8545    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(21).p  = [0.3944    0.8545    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(20).p  = [0.5573    0.8545    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(19).p  = [0.7202    0.8545    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(18).p  = [0.1500    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(17).p  = [0.3129    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(16).p  = [0.4758    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(15).p  = [0.6388    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(14).p  = [0.8017    0.7015    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(13).p = [0.2315    0.5584    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(12).p = [0.3944    0.5584    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(11).p = [0.5573    0.5584    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(10).p = [0.7202    0.5584    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(9).p = [0.1500    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(8).p = [0.3129    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(7).p = [0.4758    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(6).p = [0.6388    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(5).p = [0.8017    0.4053    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(4).p = [0.2315    0.2523    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(3).p = [0.3944    0.2523    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(2).p = [0.5573    0.2523    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(1).p = [0.7202    0.2523    0.1233    0.0705];
      elseif para_p.angle(set_posi).angle1==4;  % 270
          hb_graph_h(set_posi).graph_posi(22).p  = [0.77     0.7920    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(21).p  = [0.77     0.5920    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(20).p  = [0.77     0.3920    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(19).p  = [0.77     0.1920    0.1233    0.0705];
          
          hb_graph_h(set_posi).graph_posi(18).p  = [0.615    0.8800    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(17).p  = [0.615    0.6850    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(16).p  = [0.615    0.4900    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(15).p  = [0.615    0.2950    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(14).p  = [0.615    0.1000    0.1233    0.0705];
          
          hb_graph_h(set_posi).graph_posi(13).p  = [0.46     0.7920    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(12).p  = [0.46     0.5920    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(11).p  = [0.46     0.3920    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(10).p  = [0.46     0.1920    0.1233    0.0705];
          
          hb_graph_h(set_posi).graph_posi(9).p   = [0.305    0.8800    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(8).p   = [0.305    0.6850    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(7).p   = [0.305    0.4900    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(6).p   = [0.305    0.2950    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(5).p   = [0.305    0.1000    0.1233    0.0705];
          
          hb_graph_h(set_posi).graph_posi(4).p   = [0.15     0.7920    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(3).p   = [0.15     0.5920    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(2).p   = [0.15     0.3920    0.1233    0.0705];
          hb_graph_h(set_posi).graph_posi(1).p   = [0.15     0.1920    0.1233    0.0705];

      end;

      if para_p.angle(set_posi).angle1==1;  % 0
         hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
         end;
      elseif para_p.angle(set_posi).angle1==2;  % 90
         hb_graph_h(set_posi).map(1).m  = [0.2000    0.4056    0.18    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.40    0.4056    0.18    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.18    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.223    0.2238];
%            hb_graph_h(set_posi).map(3).m  = [0.5000    0.4056    0.18    0.2238];
         end;
      elseif para_p.angle(set_posi).angle1==3;  % 180
         hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
         end;
      elseif para_p.angle(set_posi).angle1==4;  % 270
         hb_graph_h(set_posi).map(1).m  = [0.2000    0.4056    0.18    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.40    0.4056    0.18    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.18    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.223    0.2238];
%            hb_graph_h(set_posi).map(3).m  = [0.5000    0.4056    0.18    0.2238];
         end;
      end;
   end;
      
   %****** 311hb ******
   if info(set_posi).probe_mode==4;
      if para_p.angle(set_posi).angle1==1;  % 0
         hb_graph_h(set_posi).graph_posi(1).p  = [0.1860    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(2).p  = [0.2581    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(3).p  = [0.3301    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(4).p  = [0.4022    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(5).p  = [0.4742    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(6).p  = [0.5463    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(7).p  = [0.6183    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(8).p  = [0.6903    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(9).p  = [0.7624    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(10).p = [0.8344    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(11).p = [0.1500    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(12).p = [0.2220    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(13).p = [0.2941    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(14).p = [0.3661    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(15).p = [0.4382    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(16).p = [0.5102    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(17).p = [0.5823    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(18).p = [0.6543    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(19).p = [0.7264    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(20).p = [0.7984    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(21).p = [0.8705    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(22).p = [0.1860    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(23).p = [0.2581    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(24).p = [0.3301    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(25).p = [0.4022    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(26).p = [0.4742    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(27).p = [0.5463    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(28).p = [0.6183    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(29).p = [0.6903    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(30).p = [0.7624    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(31).p = [0.8344    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(32).p = [0.1500    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(33).p = [0.2220    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(34).p = [0.2941    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(35).p = [0.3661    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(36).p = [0.4382    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(37).p = [0.5102    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(38).p = [0.5823    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(39).p = [0.6543    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(40).p = [0.7264    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(41).p = [0.7984    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(42).p = [0.8705    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(43).p = [0.1860    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(44).p = [0.2581    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(45).p = [0.3301    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(46).p = [0.4022    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(47).p = [0.4742    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(48).p = [0.5463    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(49).p = [0.6183    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(50).p = [0.6903    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(51).p = [0.7624    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(52).p = [0.8344    0.1200    0.05    0.1197];
      elseif para_p.angle(set_posi).angle1==2;  % 90
         hb_graph_h(set_posi).graph_posi(1).p  = [0.75    0.885    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(2).p  = [0.75    0.803    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(3).p  = [0.75    0.721    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(4).p  = [0.75    0.639    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(5).p  = [0.75    0.557    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(6).p  = [0.75    0.475    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(7).p  = [0.75    0.393    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(8).p  = [0.75    0.311    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(9).p  = [0.75    0.229    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(10).p = [0.75    0.145    0.1    0.035];

         hb_graph_h(set_posi).graph_posi(11).p = [0.605     0.932    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(12).p = [0.605     0.850    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(13).p = [0.605     0.768    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(14).p = [0.605     0.686    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(15).p = [0.605     0.604    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(16).p = [0.605     0.522    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(17).p = [0.605     0.440    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(18).p = [0.605     0.358    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(19).p = [0.605     0.276    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(20).p = [0.605     0.194    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(21).p = [0.605     0.110    0.1    0.035];

         hb_graph_h(set_posi).graph_posi(22).p = [0.46    0.885    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(23).p = [0.46    0.803    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(24).p = [0.46    0.721    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(25).p = [0.46    0.639    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(26).p = [0.46    0.557    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(27).p = [0.46    0.475    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(28).p = [0.46    0.393    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(29).p = [0.46    0.311    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(30).p = [0.46    0.229    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(31).p = [0.46    0.145    0.1    0.035];
         
         hb_graph_h(set_posi).graph_posi(32).p = [0.315    0.932    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(33).p = [0.315    0.850    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(34).p = [0.315    0.768    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(35).p = [0.315    0.686    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(36).p = [0.315    0.604    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(37).p = [0.315    0.522    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(38).p = [0.315    0.440    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(39).p = [0.315    0.358    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(40).p = [0.315    0.276    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(41).p = [0.315    0.194    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(42).p = [0.315    0.110    0.1    0.035];
         
         hb_graph_h(set_posi).graph_posi(43).p = [0.17   0.885    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(44).p = [0.17   0.803    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(45).p = [0.17   0.721    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(46).p = [0.17   0.639    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(47).p = [0.17   0.557    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(48).p = [0.17   0.475    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(49).p = [0.17    0.393    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(50).p = [0.17    0.311    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(51).p = [0.17    0.229    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(52).p = [0.17    0.145    0.1    0.035];
      elseif para_p.angle(set_posi).angle1==3;  % 180
         hb_graph_h(set_posi).graph_posi(52).p  = [0.1860    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(51).p  = [0.2581    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(50).p  = [0.3301    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(49).p  = [0.4022    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(48).p  = [0.4742    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(47).p  = [0.5463    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(46).p  = [0.6183    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(45).p  = [0.6903    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(44).p  = [0.7624    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(43).p = [0.8344    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(42).p = [0.1500    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(41).p = [0.2220    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(40).p = [0.2941    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(39).p = [0.3661    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(38).p = [0.4382    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(37).p = [0.5102    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(36).p = [0.5823    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(35).p = [0.6543    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(34).p = [0.7264    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(33).p = [0.7984    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(32).p = [0.8705    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(31).p = [0.1860    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(30).p = [0.2581    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(29).p = [0.3301    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(28).p = [0.4022    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(27).p = [0.4742    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(26).p = [0.5463    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(25).p = [0.6183    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(24).p = [0.6903    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(23).p = [0.7624    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(22).p = [0.8344    0.4770    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(21).p = [0.1500    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(20).p = [0.2220    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(19).p = [0.2941    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(18).p = [0.3661    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(17).p = [0.4382    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(16).p = [0.5102    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(15).p = [0.5823    0.2985    0.05   0.1197];
         hb_graph_h(set_posi).graph_posi(14).p = [0.6543    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(13).p = [0.7264    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(12).p = [0.7984    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(11).p = [0.8705    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(10).p = [0.1860    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(9).p = [0.2581    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(8).p = [0.3301    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(7).p = [0.4022    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(6).p = [0.4742    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(5).p = [0.5463    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(4).p = [0.6183    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(3).p = [0.6903    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(2).p = [0.7624    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(1).p = [0.8344    0.1200    0.05    0.1197];
      elseif para_p.angle(set_posi).angle1==4;  % 270
         hb_graph_h(set_posi).graph_posi(52).p  = [0.75    0.885    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(51).p  = [0.75    0.803    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(50).p  = [0.75    0.721    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(49).p  = [0.75    0.639    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(48).p  = [0.75    0.557    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(47).p  = [0.75    0.475    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(46).p  = [0.75    0.393    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(45).p  = [0.75    0.311    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(44).p  = [0.75    0.229    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(43).p =  [0.75    0.145    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(42).p =  [0.605     0.932    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(41).p =  [0.605     0.850    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(40).p =  [0.605     0.768    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(39).p =  [0.605     0.686    0.1   0.035];
         hb_graph_h(set_posi).graph_posi(38).p =  [0.605     0.604    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(37).p =  [0.605     0.522    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(36).p =  [0.605     0.440    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(35).p =  [0.605     0.358    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(34).p =  [0.605     0.276    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(33).p =  [0.605     0.194    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(32).p =  [0.605     0.110    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(31).p =  [0.46    0.885    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(30).p =  [0.46    0.803    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(29).p =  [0.46    0.721    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(28).p =  [0.46    0.639    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(27).p =  [0.46    0.557    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(26).p =  [0.46    0.475    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(25).p =  [0.46    0.393    0.1   0.035];
         hb_graph_h(set_posi).graph_posi(24).p =  [0.46    0.311    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(23).p =  [0.46    0.229    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(22).p =  [0.46    0.145    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(21).p =  [0.315     0.932    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(20).p =  [0.315     0.850    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(19).p =  [0.315     0.768    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(18).p =  [0.315     0.686    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(17).p =  [0.315     0.604    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(16).p =  [0.315     0.522    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(15).p =  [0.315     0.440    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(14).p =  [0.315     0.358    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(13).p =  [0.315     0.276    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(12).p =  [0.315     0.194    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(11).p =  [0.315     0.110    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(10).p =  [0.17    0.885    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(9).p =   [0.17    0.803    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(8).p =   [0.17    0.721    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(7).p =   [0.17    0.639    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(6).p =   [0.17    0.557    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(5).p =   [0.17    0.475    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(4).p =   [0.17    0.393    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(3).p =   [0.17    0.311    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(2).p =   [0.17    0.229    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(1).p =   [0.17    0.145    0.1    0.035];
      end;
      if para_p.angle(set_posi).angle1==1;  % 0
         hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
         end;
      elseif para_p.angle(set_posi).angle1==2;  % 90
         hb_graph_h(set_posi).map(1).m  = [0.2000    0.4056    0.18    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.40    0.4056    0.18    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.18    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.223    0.2238];
         end;
      elseif para_p.angle(set_posi).angle1==3;  % 180
         hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
         end;
      elseif para_p.angle(set_posi).angle1==4;  % 270
         hb_graph_h(set_posi).map(1).m  = [0.2000    0.4056    0.18    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.40    0.4056    0.18    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.18    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.223    0.2238];
%            hb_graph_h(set_posi).map(3).m  = [0.6314    0.4056    0.18    0.2238];
         end;
      else;
         hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
         end;
      end;

%       hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
%       hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
%       if sys_ver >= 7;
%          hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
%       else;
%          hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
%       end;
   end;
   
   %****** 310hb ******
   if info(set_posi).probe_mode==5;
      if para_p.angle(set_posi).angle1==1;  % 0
         hb_graph_h(set_posi).graph_posi(1).p  = [0.1897    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(2).p  = [0.2691    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(3).p  = [0.3485    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(4).p  = [0.4281    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(5).p  = [0.5073    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(6).p  = [0.5867    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(7).p  = [0.6661    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(8).p  = [0.7455    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(9).p  = [0.8249    0.8340    0.05    0.1197];
         
         hb_graph_h(set_posi).graph_posi(10).p = [0.1500    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(11).p = [0.2294    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(12).p = [0.3088    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(13).p = [0.3882    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(14).p = [0.4676    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(15).p = [0.5470    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(16).p = [0.6264    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(17).p = [0.7058    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(18).p = [0.7849    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(19).p = [0.8646    0.6555    0.05    0.1197];
         
         hb_graph_h(set_posi).graph_posi(20).p = [0.1897    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(21).p = [0.2691    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(22).p = [0.3485    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(23).p = [0.4281    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(24).p = [0.5073    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(25).p = [0.5867    0.4740    0.05    0.1221];
         hb_graph_h(set_posi).graph_posi(26).p = [0.6661    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(27).p = [0.7455    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(28).p = [0.8249    0.4740    0.05    0.1197];
         
         hb_graph_h(set_posi).graph_posi(29).p = [0.1500    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(30).p = [0.2294    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(31).p = [0.3088    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(32).p = [0.3882    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(33).p = [0.4676    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(34).p = [0.5470    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(35).p = [0.6264    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(36).p = [0.7058    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(37).p = [0.7849    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(38).p = [0.8646    0.2985    0.05    0.1197];
         
         hb_graph_h(set_posi).graph_posi(39).p = [0.1897    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(40).p = [0.2691    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(41).p = [0.3485    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(42).p = [0.4281    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(43).p = [0.5073    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(44).p = [0.5867    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(45).p = [0.6661    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(46).p = [0.7455    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(47).p = [0.8249    0.1200    0.05    0.1197];
      elseif para_p.angle(set_posi).angle1==2;  % 90
         hb_graph_h(set_posi).graph_posi(1).p  = [0.7500    0.881    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(2).p  = [0.7500    0.789    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(3).p  = [0.7500    0.697    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(4).p  = [0.7500    0.605    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(5).p  = [0.7500    0.513    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(6).p  = [0.7500    0.421    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(7).p  = [0.7500    0.329    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(8).p  = [0.7500    0.237    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(9).p  = [0.7500    0.145    0.1    0.035];
         
         hb_graph_h(set_posi).graph_posi(10).p = [0.6050    0.9317    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(11).p = [0.6050    0.8404    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(12).p = [0.6050    0.7491    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(13).p = [0.6050    0.6578    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(14).p = [0.6050    0.5665    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(15).p = [0.6050    0.4752    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(16).p = [0.6050    0.3839    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(17).p = [0.6050    0.2926    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(18).p = [0.6050    0.2013    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(19).p = [0.6050    0.1100    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(10).p = [0.6000    0.9380    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(11).p = [0.6000    0.8460    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(12).p = [0.6000    0.7540    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(13).p = [0.6000    0.6620    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(14).p = [0.6000    0.5700    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(15).p = [0.6000    0.4780    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(16).p = [0.6000    0.3860    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(17).p = [0.6000    0.2940    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(18).p = [0.6000    0.2020    0.1    0.035];
%          hb_graph_h(set_posi).graph_posi(19).p = [0.6000    0.1100    0.1    0.035];
         
         hb_graph_h(set_posi).graph_posi(20).p = [0.4600    0.881    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(21).p = [0.4600    0.789    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(22).p = [0.4600    0.697    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(23).p = [0.4600    0.605    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(24).p = [0.4600    0.513    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(25).p = [0.4600    0.421    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(26).p = [0.4600    0.329    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(27).p = [0.4600    0.237    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(28).p = [0.4600    0.145    0.1    0.035];
         
         hb_graph_h(set_posi).graph_posi(29).p = [0.3150    0.9317    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(30).p = [0.3150    0.8404    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(31).p = [0.3150    0.7491    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(32).p = [0.3150    0.6578    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(33).p = [0.3150    0.5665    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(34).p = [0.3150    0.4752    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(35).p = [0.3150    0.3839    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(36).p = [0.3150    0.2926    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(37).p = [0.3150    0.2013    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(38).p = [0.3150    0.1100    0.1    0.035];
         
         hb_graph_h(set_posi).graph_posi(39).p = [0.1700    0.881    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(40).p = [0.1700    0.789    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(41).p = [0.1700    0.697    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(42).p = [0.1700    0.605    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(43).p = [0.1700    0.513    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(44).p = [0.1700    0.421    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(45).p = [0.1700    0.329    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(46).p = [0.1700    0.237    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(47).p = [0.1700    0.145    0.1    0.035];

      elseif para_p.angle(set_posi).angle1==3;  % 180
         hb_graph_h(set_posi).graph_posi(47).p  = [0.1897    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(46).p  = [0.2691    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(45).p  = [0.3485    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(44).p  = [0.4281    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(43).p  = [0.5073    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(42).p  = [0.5867    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(41).p  = [0.6661    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(40).p  = [0.7455    0.8340    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(39).p  = [0.8249    0.8340    0.05    0.1197];
         
         hb_graph_h(set_posi).graph_posi(38).p = [0.1500    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(37).p = [0.2294    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(36).p = [0.3088    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(35).p = [0.3882    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(34).p = [0.4676    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(33).p = [0.5470    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(32).p = [0.6264    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(31).p = [0.7058    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(30).p = [0.7849    0.6555    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(29).p = [0.8646    0.6555    0.05    0.1197];
         
         hb_graph_h(set_posi).graph_posi(28).p = [0.1897    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(27).p = [0.2691    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(26).p = [0.3485    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(25).p = [0.4281    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(24).p = [0.5073    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(23).p = [0.5867    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(22).p = [0.6661    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(21).p = [0.7455    0.4740    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(20).p = [0.8249    0.4740    0.05    0.1197];
         
         hb_graph_h(set_posi).graph_posi(19).p = [0.1500    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(18).p = [0.2294    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(17).p = [0.3088    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(16).p = [0.3882    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(15).p = [0.4676    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(14).p = [0.5470    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(13).p = [0.6264    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(12).p = [0.7058    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(11).p = [0.7849    0.2985    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(10).p = [0.8646    0.2985    0.05    0.1197];
         
         hb_graph_h(set_posi).graph_posi(9).p = [0.1897    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(8).p = [0.2691    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(7).p = [0.3485    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(6).p = [0.4281    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(5).p = [0.5073    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(4).p = [0.5867    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(3).p = [0.6661    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(2).p = [0.7455    0.1200    0.05    0.1197];
         hb_graph_h(set_posi).graph_posi(1).p = [0.8249    0.1200    0.05    0.1197];
      elseif para_p.angle(set_posi).angle1==4;  % 270
         hb_graph_h(set_posi).graph_posi(47).p  = [0.7500    0.881    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(46).p  = [0.7500    0.789    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(45).p  = [0.7500    0.697    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(44).p  = [0.7500    0.605    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(43).p  = [0.7500    0.513    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(42).p  = [0.7500    0.421    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(41).p  = [0.7500    0.329    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(40).p  = [0.7500    0.237    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(39).p  = [0.7500    0.145    0.1    0.035];
         
         hb_graph_h(set_posi).graph_posi(38).p = [0.6050    0.9317    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(37).p = [0.6050    0.8404    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(36).p = [0.6050    0.7491    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(35).p = [0.6050    0.6578    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(34).p = [0.6050    0.5665    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(33).p = [0.6050    0.4752    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(32).p = [0.6050    0.3839    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(31).p = [0.6050    0.2926    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(30).p = [0.6050    0.2013    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(29).p = [0.6050    0.1100    0.1    0.035];
         
         hb_graph_h(set_posi).graph_posi(28).p = [0.4600    0.881    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(27).p = [0.4600    0.789    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(26).p = [0.4600    0.697    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(25).p = [0.4600    0.605    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(24).p = [0.4600    0.513    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(23).p = [0.4600    0.421    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(22).p = [0.4600    0.329    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(21).p = [0.4600    0.237    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(20).p = [0.4600    0.145    0.1    0.035];
         
         hb_graph_h(set_posi).graph_posi(19).p = [0.3150    0.9317    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(18).p = [0.3150    0.8404    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(17).p = [0.3150    0.7491    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(16).p = [0.3150    0.6578    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(15).p = [0.3150    0.5665    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(14).p = [0.3150    0.4752    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(13).p = [0.3150    0.3839    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(12).p = [0.3150    0.2926    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(11).p = [0.3150    0.2013    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(10).p = [0.3150    0.1100    0.1    0.035];

         hb_graph_h(set_posi).graph_posi(9).p = [0.1700    0.881    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(8).p = [0.1700    0.789   0.1    0.035];
         hb_graph_h(set_posi).graph_posi(7).p = [0.1700    0.697    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(6).p = [0.1700    0.605    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(5).p = [0.1700    0.513    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(4).p = [0.1700    0.421    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(3).p = [0.1700    0.329    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(2).p = [0.1700    0.237    0.1    0.035];
         hb_graph_h(set_posi).graph_posi(1).p = [0.1700    0.145    0.1    0.035];
      end;
      
      if para_p.angle(set_posi).angle1==1;  % 0
         hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
         end;
      elseif para_p.angle(set_posi).angle1==2;  % 90
         hb_graph_h(set_posi).map(1).m  = [0.2000    0.4056    0.18    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.40    0.4056    0.18    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.18    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.223    0.2238];
         end;
      elseif para_p.angle(set_posi).angle1==3;  % 180
         hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
         end;
      elseif para_p.angle(set_posi).angle1==4;  % 270
         hb_graph_h(set_posi).map(1).m  = [0.2000    0.4056    0.18    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.40    0.4056    0.18    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.18    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.6000    0.4056    0.223    0.2238];
%            hb_graph_h(set_posi).map(3).m  = [0.6314    0.4056    0.18    0.2238];
         end;
      else;
         hb_graph_h(set_posi).map(1).m  = [0.3450    0.7012    0.3270    0.2238];
         hb_graph_h(set_posi).map(2).m  = [0.3450    0.4056    0.3270    0.2238];
         if info(set_posi).sys_ver >= 7;
            hb_graph_h(set_posi).map(3).m  = [0.3450    0.1100    0.3270    0.2238];
         else;
            hb_graph_h(set_posi).map(3).m  = [0.3764    0.1100    0.3270    0.2238];
         end;
      end;
   end;

clear work;
      
      