%********* head polygon load ************
function hb_map_h = head(para,info,para_p,hb_data,hb_graph_h,hb_map_h,Sel_graph,move_stop,pos);
fp = fopen('HeadBase.hed','r');

if isfield(pos,'file_id') ~= 1;
   return;
end;

msg_flg = 0;
if pos(1).left_x == 0;
   msg_flg = 1;
   dViewZoomXL = abs(73.6900/1350)
else;
   dViewZoomXL = abs(pos(1).left_x)/1350;%Left Ear
end;
if pos(1).right_x == 0;
   msg_flg = 1;
   dViewZoomXR = abs(-73.1500)/1350;%Right Ear 
else;
   dViewZoomXR = abs(pos(1).right_x)/1350;%Right Ear 
end;
if pos(1).nasion_y == 0;
   msg_flg = 1;
   dViewZoomYF = abs(-92.6400)/1450;%Nasion
else;
   dViewZoomYF = abs(pos(1).nasion_y)/1450;%Nasion
end;
if pos(1).back_y == 0;
   msg_flg = 1;
   dViewZoomYR = abs(85.5100)/1720;%Inion
else;
   dViewZoomYR = abs(pos(1).back_y)/1720;%Inion
end;
if pos(1).top_z == 0;
   msg_flg = 1;
   dViewZoomZ  = abs(131.2200)/1975;%Top
else;
   dViewZoomZ  = abs(pos(1).top_z)/1975;%Top
end;

rool_x=[1 0 0;0 cos(-pi/36) -sin(-pi/36);0 sin(-pi/36) cos(-pi/36)];%5xX

%*** Header load *****
dum = fgets(fp);polynum = sscanf(dum,'%d');
dum = fgets(fp);%MAX/MIN

%*** Data load *****
dum = fgets(fp);
for i=1:polynum
   data(i,:) = str2num(dum);
   dum = fgets(fp);
end
fclose(fp);

hold on;
box on;
view(45,45);
grid on;
xlabel('X axis(mm)');
ylabel('Y axis(mm)');
zlabel('Z axis(mm)');

%***** Framex] *****
for i=1:polynum
    data(i,1:3) = data(i,1:3)*rool_x;
    data(i,4:6) = data(i,4:6)*rool_x;
    data(i,7:9) = data(i,7:9)*rool_x;
    data(i,10:12) = data(i,10:12)*rool_x;    
end;

%***** Frame̊gAk *****
for i=1:polynum
    if data(i,1)<0;dViewZoomX = dViewZoomXR;
    else           dViewZoomX = dViewZoomXL;end;
    if data(i,2)<0;dViewZoomY = dViewZoomYF;
    else           dViewZoomY = dViewZoomYR;end;
    data(i,1)=data(i,1)*dViewZoomX;%x1
    data(i,2)=data(i,2)*dViewZoomY;%y1
    data(i,3)=data(i,3)*dViewZoomZ;%z1

    if data(i,4)<0;dViewZoomX = dViewZoomXR;
    else           dViewZoomX = dViewZoomXL;end;
    if data(i,5)<0;dViewZoomY = dViewZoomYF;
    else           dViewZoomY = dViewZoomYR;end;
    data(i,4)=data(i,4)*dViewZoomX;%x1
    data(i,5)=data(i,5)*dViewZoomY;%y1
    data(i,6)=data(i,6)*dViewZoomZ;%z1

    if data(i,7)<0;dViewZoomX = dViewZoomXR;
    else           dViewZoomX = dViewZoomXL;end;
    if data(i,8)<0;dViewZoomY = dViewZoomYF;
    else           dViewZoomY = dViewZoomYR;end;
    data(i,7)=data(i,7)*dViewZoomX;%x1
    data(i,8)=data(i,8)*dViewZoomY;%y1
    data(i,9)=data(i,9)*dViewZoomZ;%z1

    if data(i,10)<0;dViewZoomX = dViewZoomXR;
    else           dViewZoomX  = dViewZoomXL;end;
    if data(i,11)<0;dViewZoomY = dViewZoomYF;
    else           dViewZoomY  = dViewZoomYR;end;
    data(i,10)=data(i,10)*dViewZoomX;%x1
    data(i,11)=data(i,11)*dViewZoomY;%y1
    data(i,12)=data(i,12)*dViewZoomZ;%z1

    line([data(i,1) data(i,4)],[data(i,2) data(i,5)],[data(i,3) data(i,6)],'color',[0.8 0.8 0.8]);
    line([data(i,7) data(i,4)],[data(i,8) data(i,5)],[data(i,9) data(i,6)],'color',[0.8 0.8 0.8]);
    line([data(i,7) data(i,10)],[data(i,8) data(i,11)],[data(i,9) data(i,12)],'color',[0.8 0.8 0.8]);
end;

%**** Plot Base Potision ****
plot3(pos(1).left_x,pos(1).left_y,pos(1).left_z,'o','MarkerFaceColor','b','MarkerSize',6);%left ear
text(pos(1).left_x-15,pos(1).left_y,pos(1).left_z,'Left Ear');
   
plot3(pos(1).right_x,pos(1).right_y,pos(1).right_z,'o','MarkerFaceColor','b','MarkerSize',6);%right Ear
text(pos(1).right_x-15,pos(1).right_y,pos(1).right_z,'Right Ear');
   
plot3(pos(1).nasion_x,pos(1).nasion_y,pos(1).nasion_z,'o', 'MarkerFaceColor','r','MarkerSize',6);%Nasion
text(pos(1).nasion_x-15,pos(1).nasion_y,pos(1).nasion_z,'Nasion');
   
% plot3(pos(1).back_x,pos(1).back_y,pos(1).back_z,'o','MarkerFaceColor','c','MarkerSize',6);%Inion
% text(pos(1).back_x,pos(1).back_y,pos(1).back_z,'Inion');
%    
% plot3(pos(1).top_x,pos(1).top_y,pos(1).top_z,'o','MarkerFaceColor','m','MarkerSize',6);%Top
% text(pos(1).top_x,pos(1).top_y,pos(1).top_z,'Top');

%**** Plot Fiber Potision ****
for p_cnt =1:pos(1).file_probe;
%    for ch=1:pos(p_cnt).ch_cnt;
%        if ch==1;plot3(pos(p_cnt).ch_x(ch),pos(p_cnt).ch_y(ch),pos(p_cnt).ch_z(ch),'o','MarkerFaceColor','r','MarkerSize',4);
%        else plot3(pos(p_cnt).ch_x(ch),pos(p_cnt).ch_y(ch),pos(p_cnt).ch_z(ch),'o','MarkerFaceColor','k','MarkerSize',4);
%        end;
%    end;
  if (p_cnt==1 & para_p.sel_prb1 ~=1) | (p_cnt==2 & para_p.sel_prb2 ~=1) | (p_cnt==3 & para_p.sel_prb3 ~=1) |(p_cnt==4 & para_p.sel_prb4 ~=1) |(p_cnt==5 & para_p.sel_prb5 ~=1);
  elseif (p_cnt==1 & para_p.load_prb1 ~=1 ) | (p_cnt==2 & para_p.load_prb2 ~=1) | (p_cnt==3 & para_p.load_prb3 ~=1) | (p_cnt==4 & para_p.load_prb4 ~=1) | (p_cnt==5 & para_p.load_prb5 ~=1);
  else;
     plot3(pos(p_cnt).ch_x(1),pos(p_cnt).ch_y(1),pos(p_cnt).ch_z(1),'o','MarkerFaceColor','r','MarkerSize',4);
   end;
end;
%        if

box off;
grid off;
axis equal;
hold off;

%****** l *****
hb_map_h(1).topo3d_min = -0.2;
hb_map_h(1).topo3d_max = 0.2;
if isfield(hb_map_h(1),'map3d_oxy') ~= 1;
   hb_map_h(1).map3d_oxy = 1; % chek oxy deoxy total
end;

if msg_flg ~= 0;
   warndlg('Please use data output in "EXPORT".','Warning !!');
end;
clear msg_flg;

