% input_mark(Not Function)
%
% Input : none
% Output: none
% Example: input_mark;

%*******************************************************
%*            Input Parameter(Not Function)            *
%*                   Hiroaki Kusabuka                  *
%*                  HITACHI MECICAL                    *
%*******************************************************
% history :04.02.09 Ver2.02 Kusabuka   Probe many load
%********** Initial Value ***********

%fprintf('input_mark\n');
dis_no=1;
%****** Initialyzation *******
%pos_left  = 250;
%pos_top = 110;

%****** Make Mark Char ******
%**   A mark position number is changed from the point in the time.	**
if mark.num == 0;
  mark.char='';   
end;

if info(dis_no).measure_mode(1)==1;%***** Stim Mode *****
   for j = 1:mark.num;
      if para.sel_move == 1;       % body move on(delete)
         if mark.ave(j) == 1 & mark.move(j) == 0;
            if mark.point(j)== 1 | mark.point(j)==101;mark.char(j,1:length([[num2str(j),' o: A '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: A '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 2 | mark.point(j)==102;mark.char(j,1:length([[num2str(j),' o: B '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: B '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 3 | mark.point(j)==103;mark.char(j,1:length([[num2str(j),' o: C '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: C '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 4 | mark.point(j)==104;mark.char(j,1:length([[num2str(j),' o: D '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: D '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 5 | mark.point(j)==105;mark.char(j,1:length([[num2str(j),' o: E '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: E '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 6 | mark.point(j)==106;mark.char(j,1:length([[num2str(j),' o: F '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 7 | mark.point(j)==107;mark.char(j,1:length([[num2str(j),' o: G '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: G '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 8 | mark.point(j)==108;mark.char(j,1:length([[num2str(j),' o: H '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: H '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 9 | mark.point(j)==109;mark.char(j,1:length([[num2str(j),' o: I '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: I '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)==10 | mark.point(j)==110;mark.char(j,1:length([[num2str(j),' o: J '],num2str(mark.point(j,2:3)*info(dis_no ).smpl_period/1000,5)])) = [[num2str(j),' o: J '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
         else;
            if mark.point(j)== 1 | mark.point(j)==101;mark.char(j,1:length([[num2str(j),' x: A '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: A '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 2 | mark.point(j)==102;mark.char(j,1:length([[num2str(j),' x: B '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: B '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 3 | mark.point(j)==103;mark.char(j,1:length([[num2str(j),' x: C '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: C '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 4 | mark.point(j)==104;mark.char(j,1:length([[num2str(j),' x: D '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: D '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 5 | mark.point(j)==105;mark.char(j,1:length([[num2str(j),' x: E '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: E '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 6 | mark.point(j)==106;mark.char(j,1:length([[num2str(j),' x: F '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 7 | mark.point(j)==107;mark.char(j,1:length([[num2str(j),' x: G '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: G '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 8 | mark.point(j)==108;mark.char(j,1:length([[num2str(j),' x: H '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: H '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 9 | mark.point(j)==109;mark.char(j,1:length([[num2str(j),' x: I '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: I '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)==10 | mark.point(j)==110;mark.char(j,1:length([[num2str(j),' x: J '],num2str(mark.point(j,2:3)*info(dis_no ).smpl_period/1000,5)])) = [[num2str(j),' x: J '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
         end;
      else;       % mody move off
         if mark.ave(j) == 1;
            if mark.point(j)== 1 | mark.point(j)==101;mark.char(j,1:length([[num2str(j),' o: A '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: A '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 2 | mark.point(j)==102;mark.char(j,1:length([[num2str(j),' o: B '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: B '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 3 | mark.point(j)==103;mark.char(j,1:length([[num2str(j),' o: C '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: C '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 4 | mark.point(j)==104;mark.char(j,1:length([[num2str(j),' o: D '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: D '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 5 | mark.point(j)==105;mark.char(j,1:length([[num2str(j),' o: E '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: E '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 6 | mark.point(j)==106;mark.char(j,1:length([[num2str(j),' o: F '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 7 | mark.point(j)==107;mark.char(j,1:length([[num2str(j),' o: G '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: G '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 8 | mark.point(j)==108;mark.char(j,1:length([[num2str(j),' o: H '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: H '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 9 | mark.point(j)==109;mark.char(j,1:length([[num2str(j),' o: I '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: I '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)==10 | mark.point(j)==110;mark.char(j,1:length([[num2str(j),' o: J '],num2str(mark.point(j,2:3)*info(dis_no ).smpl_period/1000,5)])) = [[num2str(j),' o: J '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
         elseif mark.ave(j) == 0;
            if mark.point(j)== 1 | mark.point(j)==101;mark.char(j,1:length([[num2str(j),' x: A '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: A '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 2 | mark.point(j)==102;mark.char(j,1:length([[num2str(j),' x: B '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: B '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 3 | mark.point(j)==103;mark.char(j,1:length([[num2str(j),' x: C '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: C '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 4 | mark.point(j)==104;mark.char(j,1:length([[num2str(j),' x: D '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: D '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 5 | mark.point(j)==105;mark.char(j,1:length([[num2str(j),' x: E '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: E '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 6 | mark.point(j)==106;mark.char(j,1:length([[num2str(j),' x: F '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 7 | mark.point(j)==107;mark.char(j,1:length([[num2str(j),' x: G '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: G '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 8 | mark.point(j)==108;mark.char(j,1:length([[num2str(j),' x: H '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: H '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 9 | mark.point(j)==109;mark.char(j,1:length([[num2str(j),' x: I '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: I '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)==10 | mark.point(j)==110;mark.char(j,1:length([[num2str(j),' x: J '],num2str(mark.point(j,2:3)*info(dis_no ).smpl_period/1000,5)])) = [[num2str(j),' x: J '],num2str(mark.point(j,2:3)*info(dis_no).smpl_period/1000,5)]; end;
         end;
      end;
   end;
end;
if info(dis_no).measure_mode(1)==2;%***** Event Mode *****
   for j = 1:mark.num;
      if para.sel_move == 1;       % mody move on(delete)
         if mark.ave(j) == 1 & mark.move(j) == 0;
            if mark.point(j)== 1 | mark.point(j)==101;mark.char(j,1:length([[num2str(j),' o: F1 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F1 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 2 | mark.point(j)==102;mark.char(j,1:length([[num2str(j),' o: F2 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F2 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 3 | mark.point(j)==103;mark.char(j,1:length([[num2str(j),' o: F3 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F3 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 4 | mark.point(j)==104;mark.char(j,1:length([[num2str(j),' o: F4 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F4 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 5 | mark.point(j)==105;mark.char(j,1:length([[num2str(j),' o: F5 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F5 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 6 | mark.point(j)==106;mark.char(j,1:length([[num2str(j),' o: F6 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F6 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 7 | mark.point(j)==107;mark.char(j,1:length([[num2str(j),' o: F7 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F7 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 8 | mark.point(j)==108;mark.char(j,1:length([[num2str(j),' o: F8 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F8 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 9 | mark.point(j)==109;mark.char(j,1:length([[num2str(j),' o: F9 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F9 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)==10 | mark.point(j)==110;mark.char(j,1:length([[num2str(j),' o:  M '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o:  M '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
         else;    
            if mark.point(j)== 1 | mark.point(j)==101;mark.char(j,1:length([[num2str(j),' x: F1 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F1 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 2 | mark.point(j)==102;mark.char(j,1:length([[num2str(j),' x: F2 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F2 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 3 | mark.point(j)==103;mark.char(j,1:length([[num2str(j),' x: F3 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F3 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 4 | mark.point(j)==104;mark.char(j,1:length([[num2str(j),' x: F4 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F4 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 5 | mark.point(j)==105;mark.char(j,1:length([[num2str(j),' x: F5 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F5 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 6 | mark.point(j)==106;mark.char(j,1:length([[num2str(j),' x: F6 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F6 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 7 | mark.point(j)==107;mark.char(j,1:length([[num2str(j),' x: F7 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F7 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 8 | mark.point(j)==108;mark.char(j,1:length([[num2str(j),' x: F8 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F8 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 9 | mark.point(j)==109;mark.char(j,1:length([[num2str(j),' x: F9 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F9 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)==10 | mark.point(j)==110;mark.char(j,1:length([[num2str(j),' x:  M '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x:  M '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
         end;
      else;                        % body move off
         if mark.ave(j) == 1;
            if mark.point(j)== 1 | mark.point(j)==101;mark.char(j,1:length([[num2str(j),' o: F1 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F1 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 2 | mark.point(j)==102;mark.char(j,1:length([[num2str(j),' o: F2 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F2 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 3 | mark.point(j)==103;mark.char(j,1:length([[num2str(j),' o: F3 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F3 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 4 | mark.point(j)==104;mark.char(j,1:length([[num2str(j),' o: F4 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F4 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 5 | mark.point(j)==105;mark.char(j,1:length([[num2str(j),' o: F5 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F5 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 6 | mark.point(j)==106;mark.char(j,1:length([[num2str(j),' o: F6 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F6 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 7 | mark.point(j)==107;mark.char(j,1:length([[num2str(j),' o: F7 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F7 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 8 | mark.point(j)==108;mark.char(j,1:length([[num2str(j),' o: F8 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F8 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 9 | mark.point(j)==109;mark.char(j,1:length([[num2str(j),' o: F9 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o: F9 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)==10 | mark.point(j)==110;mark.char(j,1:length([[num2str(j),' o:  M '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' o:  M '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
         elseif mark.ave(j) == 0;    
            if mark.point(j)== 1 | mark.point(j)==101;mark.char(j,1:length([[num2str(j),' x: F1 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F1 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 2 | mark.point(j)==102;mark.char(j,1:length([[num2str(j),' x: F2 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F2 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 3 | mark.point(j)==103;mark.char(j,1:length([[num2str(j),' x: F3 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F3 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 4 | mark.point(j)==104;mark.char(j,1:length([[num2str(j),' x: F4 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F4 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 5 | mark.point(j)==105;mark.char(j,1:length([[num2str(j),' x: F5 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F5 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 6 | mark.point(j)==106;mark.char(j,1:length([[num2str(j),' x: F6 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F6 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 7 | mark.point(j)==107;mark.char(j,1:length([[num2str(j),' x: F7 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F7 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 8 | mark.point(j)==108;mark.char(j,1:length([[num2str(j),' x: F8 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F8 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)== 9 | mark.point(j)==109;mark.char(j,1:length([[num2str(j),' x: F9 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x: F9 '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
            if mark.point(j)==10 | mark.point(j)==110;mark.char(j,1:length([[num2str(j),' x:  M '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)])) = [[num2str(j),' x:  M '],num2str(mark.point(j,2)*info(dis_no).smpl_period/1000,5)]; end;
         end;
      end;
   end;
end;
clear j;

 
