%*******************************************************
%*                Hb Data FFT Function                 *
%*                   Shingo Kawasaki                   *
%*                  HITACHI MECICAL                    *
%*******************************************************
function label_put(info,hb_graph_h,para,para_p,p_cnt,ch,fig_no,h)

posi_tilt = [ 0 0 0 0];

if fig_no >= 17 & fig_no <= 27+4; % fft graph
   xstr = 'Hz';
   ystr = 'Frequency';
elseif fig_no >= 75 & fig_no <= 85+4; % spect graph
   xstr = 'sec';
%   ystr = 'Frequency';
   ystr = 'Hz';
   if info(p_cnt).sys_ver >= 7;
      posi_tilt = [ 0 0 0 0];
   else;
      posi_tilt = [ 0 0 0.02 0];
%      posi_tilt = [ 0 0 0.0 0];
   end;
elseif fig_no >= 7 & fig_no <= 7+4; % hb graph
   xstr = 'sec';
   ystr = 'mMmm';
elseif fig_no >= 58 & fig_no <= 58+4; % Reconstract hb graph
   xstr = 'sec';
   ystr = 'mMmm';
elseif fig_no >= 68 & fig_no <= 68+4; % Reconstract hb graph
   xstr = 'sec';
   ystr = 'mMmm';
end;
set(0,'CurrentFigure',fig_no);
label_point=0;

% %position
 if info(p_cnt).probe_mode==1;           % 3x3
    if para_p.angle(p_cnt).angle2==1;      % 0
       if ch == 24;
          set(h,'Position',hb_graph_h(p_cnt).graph_posi(ch).p+posi_tilt);
       end;
    elseif para_p.angle(p_cnt).angle2==2;      % 90
       if ch == 17;
          set(h,'Position',hb_graph_h(p_cnt).graph_posi(ch).p+posi_tilt);
       end;
    elseif para_p.angle(p_cnt).angle2==2;      % 180
       if ch == 13;
          set(h,'Position',hb_graph_h(p_cnt).graph_posi(ch).p+posi_tilt);
       end;
    elseif para_p.angle(p_cnt).angle2==2;      % 270
       if ch == 20;
          set(h,'Position',hb_graph_h(p_cnt).graph_posi(ch).p+posi_tilt);
       end;
    end;
 end;
%position & label
if para_p.angle(p_cnt).angle1==1;         % 0
   if info(p_cnt).probe_mode==1;           % 3x3
      if ch==11;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
      end;
    elseif info(p_cnt).probe_mode==2;           % 4x4
       if ch==22;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
          label_point=ch;
       end;
    elseif info(p_cnt).probe_mode==3;           % 3x5
       if ch==19;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
          label_point=ch;
       end;
    elseif info(p_cnt).probe_mode==4;           % 3x11
      if ch==43;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
      end;
   elseif info(p_cnt).probe_mode==5;           % 3x10
      if ch==39;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
      end;
   end;
elseif para_p.angle(p_cnt).angle1==2;     % 90
   if info(p_cnt).probe_mode==1;           % 3x3
      if ch==10;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
      end;
   elseif info(p_cnt).probe_mode==2;       % 4x4
      if ch==21;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
      end;
   elseif info(p_cnt).probe_mode==3;       % 3x5
      if ch==22;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
      end;
   elseif info(p_cnt).probe_mode==4;       % 3x11
      if ch==52;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
      end;
   elseif info(p_cnt).probe_mode==5;       % 3x10
      if ch==47;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
      end;
   end;
elseif para_p.angle(p_cnt).angle1==3;     % 180
   if info(p_cnt).probe_mode==1;           % 3x3
      if ch==2;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
      end;
   elseif info(p_cnt).probe_mode==2;       % 4x4
      if ch==3;
         ylabel(ystr,'FontSize',para_p.fsize);
         xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
       end;
   elseif info(p_cnt).probe_mode==3;       % 3x5
       if ch==4;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
          label_point=ch;
       end;
    elseif info(p_cnt).probe_mode==4;       % 3x11
       if ch==10;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
          label_point=ch;
       end;
    elseif info(p_cnt).probe_mode==5;       % 3x10
       if ch==9;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
         label_point=ch;
       end;
    end;
else para_p.angle(p_cnt).angle1==4;       % 270
    if info(p_cnt).probe_mode==1;           % 3x3
       if ch==3;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
          label_point=ch;
       end;
    elseif info(p_cnt).probe_mode==2;       % 4x4
       if ch==4;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
          label_point=ch;
       end;
    elseif info(p_cnt).probe_mode==3;       % 3x5
       if ch==1;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
          label_point=ch;
       end;
     elseif info(p_cnt).probe_mode==4;       % 3x11
       if ch==1;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
          label_point=ch;
       end;
    elseif info(p_cnt).probe_mode==5;       % 3x10
       if ch==1;
          ylabel(ystr,'FontSize',para_p.fsize);
          xlabel(xstr,'FontSize',para_p.fsize);
          label_point=ch;
       end;
    end;
end;
%         if i ~= (info(p_cnt).ad_ch_max/2)-(fft_graph_h(p_cnt).label_point-1);
if ch ~= label_point;
%    set(gca,'xticklabel',[]);
%    set(gca,'yticklabel',[]);
%    xlabel('');
%    ylabel('');
end;