% makr_line
%
% Input  : info,mark,para,hb_data,para_p,Sel_graph
% Output : para,hb_data,hb_graph_h,hb_map_h
% Example: [para,hb_data,hb_graph_h,hb_map_h] = drow_graph(info,mark,para,hb_data,para_p,Sel_graph); 
%*******************************************************
%*               Plot mark lineFunction                *
%*                   Hiroaki Kusabuka                  *
%*                  HITACHI MECICAL                    *
%*******************************************************
% History:05.07.12 Ver2.05  Kusabuka  mojule
function mark_line(info,para,para_p,mark,hb_data,hb_graph_h,kl_data,kl_graph_h,p_cnt,i,flg); 
%fprintf('mark_line\n');

if flg == 1;  % hb_graph
   set(gcf,'CurrentAxes',hb_graph_h(p_cnt).map_gco(i))
   hold on;
   if hb_data(p_cnt).ana_mode == 1;  % Continuaus
      for j=1:mark.num;
          if(mark.ave(j) == 0)
              continue;
          end
         if mark.point(j)==1;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0 1 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0 1 0]);end;
         end;
         if mark.point(j)==2;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[1 1 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[1 1 0]);end;
         end;
         if mark.point(j)==3;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0 1 1]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0 1 1]);end;
         end;
         if mark.point(j)==4;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[1 0.7 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[1 0.7 0]);end;
         end;
         if mark.point(j)==5;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0.7 0.35 0.35]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0.7 0.35 0.35]);end;
         end;
         if mark.point(j)==6;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0 0.54 1]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0 0.54 1]);end;
         end;
         if mark.point(j)==7;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[1 0.3 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[1 0.3 0]);end;
         end;
         if mark.point(j)==8;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0.5 0.5 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0.5 0.5 0]);end;
         end;
         if mark.point(j)==9;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0 0.5 0.5]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0 0.5 0.5]);end;
         end;
         if mark.point(j)==10;
            plot([mark.point(j,2)' mark.point(j,2)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[1 0 0.9]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[1 0 0.9]);end;
         end;
      end;
   elseif hb_data(p_cnt).ana_mode == 2;  % Integral
      if info(p_cnt).measure_mode(1)==1;
         if para.sel_move == 0;
            add_mark  = find(mark.ave==1);
         else;
            add_mark  = find(mark.ave==1 & mark.move==0);
         end;
         block = mark.point(add_mark(1),3)-mark.point(add_mark(1),2)+para.pre+para.post+para.relax;
         plot([para.pre para.pre],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0.1 0.1 0.1]);
         plot([block-para.relax-para.post block-para.relax-para.post],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0.1 0.1 0.1]);
      elseif info(p_cnt).measure_mode(1)==2;
         block = 1+para.pre+para.post+para.relax;
         plot([para.pre para.pre],[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max],'Color',[0.1 0.1 0.1]);
      end;
   end;

   TimeMin = round(hb_graph_h(p_cnt).time_min*(info(p_cnt).smpl_period/1000)*10)/10;
   TimeMax = round(hb_graph_h(p_cnt).time_max*(info(p_cnt).smpl_period/1000)*10)/10;
   TimeStep = round(((hb_graph_h(p_cnt).time_max-hb_graph_h(p_cnt).time_min)*(info(p_cnt).smpl_period/1000)*10)/2)/10;
%    for k=0:2;
%       lab(k+1) = (round((TimeMin + TimeStep * k)*(info(p_cnt).smpl_period/1000)*10)/10);
%    end;
   lab(1)=TimeMin; lab(2)=TimeMin+TimeStep; lab(3)=TimeMax;
   set(hb_graph_h(p_cnt).map_gco(i) ,'YLim',[hb_graph_h(p_cnt).hb_min hb_graph_h(p_cnt).hb_max]);
   set(hb_graph_h(p_cnt).map_gco(i) ,'XLim',[hb_graph_h(p_cnt).time_min hb_graph_h(p_cnt).time_max]);
   set(hb_graph_h(p_cnt).map_gco(i) ,'xtick',hb_graph_h(p_cnt).time_min:(floor((hb_graph_h(p_cnt).time_max-hb_graph_h(p_cnt).time_min)/2*10))/10:hb_graph_h(p_cnt).time_max);
   set(hb_graph_h(p_cnt).map_gco(i) ,'xticklabel',lab);
   set(hb_graph_h(p_cnt).map_gco(i) ,'FontSize',para_p.fsize);
  
%      end;
   clear tag;
   clear TimeMax; clear TimeMin; clear TimeStep; clear lab;

elseif flg == 2;  % kl_graph
   set(gcf,'CurrentAxes',kl_graph_h(p_cnt).map_gco(i))
   hold on;
   if hb_data(p_cnt).ana_mode == 1;  % Continuous
      for j=1:mark.num;
         if mark.point(j)==1;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0 1 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0 1 0]);end;
         end;
         if mark.point(j)==2;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[1 1 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[1 1 0]);end;
         end;
         if mark.point(j)==3;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0 1 1]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0 1 1]);end;
         end;
         if mark.point(j)==4;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[1 0.7 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[1 0.7 0]);end;
         end;
         if mark.point(j)==5;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0.7 0.35 0.35]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0.7 0.35 0.35]);end;
         end;
         if mark.point(j)==6;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0 0.54 1]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0 0.54 1]);end;
         end;
         if mark.point(j)==7;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[1 0.3 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[1 0.3 0]);end;
         end;
         if mark.point(j)==8;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0.5 0.5 0]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0.5 0.5 0]);end;
         end;
         if mark.point(j)==9;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0 0.5 0.5]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0 0.5 0.5]);end;
         end;
         if mark.point(j)==10;
            plot([mark.point(j,2)' mark.point(j,2)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[1 0 0.9]);
            if info(p_cnt).measure_mode(1)==1;plot([mark.point(j,3)' mark.point(j,3)'],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[1 0 0.9]);end;
         end;
      end;
   end;

   if hb_data(p_cnt).ana_mode == 2;  % Integral
      if info(p_cnt).measure_mode(1)==1;
         if para.sel_move == 0;
            add_mark  = find(mark.ave==1);
         else;
            add_mark  = find(mark.ave==1 & mark.move==0);
         end;
         block = mark.point(add_mark(1),3)-mark.point(add_mark(1),2)+para.pre+para.post+para.relax;
         plot([para.pre para.pre],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0.1 0.1 0.1]);
         plot([block-para.relax-para.post block-para.relax-para.post],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0.1 0.1 0.1]);
      elseif info(p_cnt).measure_mode(1)==2;
         block = 1+para.pre+para.post+para.relax;
         plot([para.pre para.pre],[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max],'Color',[0.1 0.1 0.1]);
      end;    
   end;
   TimeMin = round(kl_graph_h(p_cnt).time_min*(info(p_cnt).smpl_period/1000)*10)/10;
   TimeMax = round(kl_graph_h(p_cnt).time_max*(info(p_cnt).smpl_period/1000)*10)/10;
   TimeStep = round(((kl_graph_h(p_cnt).time_max-kl_graph_h(p_cnt).time_min)*(info(p_cnt).smpl_period/1000)*10)/2)/10;
%    for k=0:1;
%       lab(k+1) = (round((TimeMin + TimeStep * k)*(info(p_cnt).smpl_period/1000)*10)/10);
%    end;
   lab(1)=TimeMin; lab(2)=TimeMin+TimeStep; lab(3)=TimeMax;
   set(kl_graph_h(p_cnt).map_gco(i) ,'YLim',[kl_graph_h(p_cnt).hb_min kl_graph_h(p_cnt).hb_max]);
   set(kl_graph_h(p_cnt).map_gco(i) ,'XLim',[kl_graph_h(p_cnt).time_min kl_graph_h(p_cnt).time_max]);
   set(kl_graph_h(p_cnt).map_gco(i) ,'xtick',kl_graph_h(p_cnt).time_min:floor((kl_graph_h(p_cnt).time_max-kl_graph_h(p_cnt).time_min)/2):kl_graph_h(p_cnt).time_max);
   set(kl_graph_h(p_cnt).map_gco(i) ,'xticklabel',lab);
   set(kl_graph_h(p_cnt).map_gco(i) ,'FontSize',para_p.fsize);
   clear tag;
   clear TimeMax; clear TimeMin; clear TimeStep; clear lab;
end;
hold off;
