%function pos=pos_read()
% pos_name = '';
% mode_err=0;
% [pos_fname, pos_pname] = uigetfile('*.txt;*.pos','Pos Data Load');
% if length(pos_fname) <= 1 | length(pos_pname) <= 1;
%    del_fig(80,80);
%    pos=0;
%    mode_err=2;
%    return;
% end;
% clear pos;
% pos_name = strcat(pos_pname,pos_fname);
pos(1).pos_name = pos_name;
pfp = fopen(pos_name,'r');
if pfp == -1;  % Open err
   fprintf('*** return fp=%d,pos_name =%s\n',fp,pos_name);
   warndlg(['File open err.Please check Position File.'],'Warning !!');
   del_fig(80,80);
   return;
end;

% info data count
info_cnt=0;
while(1); 
   dum = fgets(pfp);
   if dum == -1;        % eof
      break
   end;
   dum = strdel(dum,' '); 
   len = length(dum);
   %********** FileInfo *************
   if len >= 10;
      if strncmp(dum,'[FileInfo]',10) == 1;
         for i=0:10;
            dum = fgets(pfp);
            if dum(1) == '[';
               break
            end;
            info_cnt=info_cnt+1;
         end;
      end;
   end;
end;
fclose(pfp);

% user data count
user_cnt=0;
pfp = fopen(pos_name,'r');
while(1); 
   dum = fgets(pfp);
   if dum == -1;        % eof
      break
   end;
   dum = strdel(dum,' '); 
   len = length(dum);
   %********** UserInfo *************
   if len >= 6;
      if strncmp(dum,'[User]',6) == 1;
         for i=0:10;
            dum = fgets(pfp);
            if dum(1) == '[';
               break
            end;
            user_cnt=user_cnt+1;
         end;
      end;
   end;
end;
fclose(pfp);

%data_size = size(info);
mode_err=0;
cnt = 0;
probe_cnt = 1;
for i=1:5;                   % pos field get
   pos(i).mode = 0;
   pos(i).file_id = ' ';
   pos(i).file_ver = ' ';
   pos(i).file_probe = ' ';
   pos(i).file_type = 0;
   pos(i).file_product = ' ';
   %***** USER *****
   pos(i).user_name = ' ';
   pos(i).user_id = ' ';
   pos(i).user_comment = ' ';
   pos(i).user_sex = ' ';
   pos(i).user_age = ' ';
end;

pfp = fopen(pos_name,'r');
while(1); 
   cnt = cnt+1;
   dum = fgets(pfp);
   if dum == -1;        % eof
      break
   end;
   dum = strdel(dum,' '); 
   len = length(dum);

   %********** FileInfo *************
   if len >= 10;
      if strncmp(dum,'[FileInfo]',10) == 1;
         for i=1:info_cnt;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** FILE ID *****
            if len > 3;
               if strncmp(dum,'ID=',3) == 1;
                  pos(probe_cnt).file_id = sprintf('%s',dum(4:len));
               end;
            end;
            %***** FILE VER *****
            if len > 4;
               if strncmp(dum,'VER=',4) == 1;
                  pos(probe_cnt).file_ver = str2num(sprintf('%s',dum(5:len)));
               end;
            end;
            %***** FILE PROBE *****
            if len > 6;
               if strncmp(dum,'PROBE=',6) == 1;
                  pos(probe_cnt).file_probe = str2num(sprintf('%s',dum(7:len)));
               end;
            end;
            %***** FILE TYPE *****
            if len > 5;
               if strncmp(dum,'TYPE=',5) == 1;
                  pos(probe_cnt).file_type = str2num(sprintf('%s',dum(6:len)));
               end;
            end;
            %***** PRODUCT *****
            if len > 12;
               if strncmp(dum,'ProductName=',11) == 1;
                  pos(probe_cnt).file_product = str2num(sprintf('%s',dum(12:len)));
               end;
            end;
         end;
      end;
   end;
   %********** User *************
   if len >= 6;
      if strncmp(dum,'[User]',6) == 1;
         for i=1:user_cnt;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** USER Name *****
            if len > 5;
               if strncmp(dum,'Name=',5) == 1;
                  pos(probe_cnt).user_name = sprintf('%s',dum(6:len));
               end;
            end;
            %***** USER ID *****
            if len > 3;
               if strncmp(dum,'ID=',3) == 1;
                  pos(probe_cnt).user_id = sprintf('%s',dum(4:len));
               end;
            end;
            %***** USER Comment *****
            if len > 8;
               if strncmp(dum,'Comment=',8) == 1;
                  pos(probe_cnt).user_comment = sprintf('%s',dum(9:len));
               end;
            end;
            %***** USER Sex *****
            if len > 4;
               if strncmp(dum,'Sex=',4) == 1;
                  pos(probe_cnt).user_sex = sprintf('%s',dum(5:len));
               end;
            end;
            %***** USER Age *****
            if len > 4;
               if strncmp(dum,'Age=',4) == 1;
                  pos(probe_cnt).user_age = sprintf('%s',dum(5:len));
               end;
            end;
         end;
      end;
   end;
   %********** Probe 1-5 *************
   if len == 8;
      if strncmp(dum,'[Probe',6) == 1;

         p_cnt = str2num(sprintf('%s',dum(7)));
         pos(p_cnt).probe_no = p_cnt;
         % mode
         dum = fgets(pfp);
         dum = strdel(dum,' '); 
         len = length(dum);
         pos(p_cnt).mode = str2num(sprintf('%s',dum(6)));
         % ch count
         dum = fgets(pfp);
         dum = strdel(dum,' '); 
         len = length(dum);
         pos(p_cnt).ch_cnt = str2num(sprintf('%s',dum(7:len)));
         pos(p_cnt).ch_x = zeros(1,pos(p_cnt).ch_cnt);
         pos(p_cnt).ch_y = zeros(1,pos(p_cnt).ch_cnt);
         pos(p_cnt).ch_z = zeros(1,pos(p_cnt).ch_cnt);
         pos(p_cnt).ch_a = zeros(1,pos(p_cnt).ch_cnt);
         pos(p_cnt).ch_e = zeros(1,pos(p_cnt).ch_cnt);
         pos(p_cnt).ch_r = zeros(1,pos(p_cnt).ch_cnt);
         pos(p_cnt).ch_nx = zeros(1,pos(p_cnt).ch_cnt);
         pos(p_cnt).ch_ny = zeros(1,pos(p_cnt).ch_cnt);
         pos(p_cnt).ch_nz = zeros(1,pos(p_cnt).ch_cnt);
      end;
   end;
   %********** LeftEar *************
   if len >= 9;
      if strncmp(dum,'[LeftEar]',9) == 1;
         for i=1:3;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** LEFT X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).left_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).left_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).left_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
   %********** RightEar *************
   if len >= 10;
      if strncmp(dum,'[RightEar]',10) == 1;
         for i=1:3;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** RIGHT X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).right_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).right_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).right_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
   %********** Nasion *************
   if len >= 6;
      if strncmp(dum,'[Nasion]',8) == 1;
         for i=1:3;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** Nasion X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).nasion_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).nasion_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).nasion_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
   %********** Back *************
   if len >= 6;
      if strncmp(dum,'[Back]',6) == 1;
         for i=0:10;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** Back X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).back_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).back_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).back_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
   %********** Top *************
   if len >= 5;
      if strncmp(dum,'[Top]',5) == 1;
         for i=1:3;
            dum = fgets(pfp);
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** Top X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(probe_cnt).top_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(probe_cnt).top_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(probe_cnt).top_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;

   % ch position 
   if len >= 11;
      if strncmp(dum,'[Probe',6) == 1;
         p_cnt = str2num(sprintf('%s',dum(7)));
         ch = str2num(sprintf('%s',dum(11:len-1)));
         for i=1:9;
            %***** Probe ch X *****
            dum = fgets(pfp);
            if dum == -1;
               break
            end;
            dum = strdel(dum,' '); 
            len = length(dum);
            if strncmp(dum,'X=',2) == 1;
               pos(p_cnt).ch_x(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch Y *****
            if strncmp(dum,'Y=',2) == 1;
               pos(p_cnt).ch_y(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch Z *****
            if strncmp(dum,'Z=',2) == 1;
               pos(p_cnt).ch_z(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch A *****
            if strncmp(dum,'A=',2) == 1;
               pos(p_cnt).ch_a(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch E *****
            if strncmp(dum,'E=',2) == 1;
               pos(p_cnt).ch_e(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch R *****
            if strncmp(dum,'R=',2) == 1;
               pos(p_cnt).ch_r(ch) = str2num(sprintf('%s',dum(3:len)));
            end;
            %***** Probe ch NX *****
            if strncmp(dum,'NX=',3) == 1;
               pos(p_cnt).ch_nx(ch) = str2num(sprintf('%s',dum(4:len)));
            end;
            %***** Probe ch NY *****
            if strncmp(dum,'NY=',3) == 1;
               pos(p_cnt).ch_ny(ch) = str2num(sprintf('%s',dum(4:len)));
            end;
            %***** Probe ch NZ *****
            if strncmp(dum,'NZ=',3) == 1;
               pos(p_cnt).ch_nz(ch) = str2num(sprintf('%s',dum(4:len)));
            end;
         end;   % 1-9
      end;
   end;
   %********** Angle *************
   if len >= 7;
      if strncmp(dum,'[Angle]',7) == 1;
         for i=1:3;
            dum = fgets(pfp);
            if dum == -1;
                break
            end;
            dum = strdel(dum,' '); 
            len = length(dum);
            if dum(1) == '[';
               break
            end;
            %***** Angle X,Y,Z *****
            if len > 2;
               if strncmp(dum,'X=',2) == 1;
                  pos(1).angle_x = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Y=',2) == 1;
                  pos(1).angle_y = str2num(sprintf('%s',dum(3:len)));
               end;
               if strncmp(dum,'Z=',2) == 1;
                  pos(1).angle_z = str2num(sprintf('%s',dum(3:len)));
               end;
            end;
         end;
      end;
   end;
end;
fclose(pfp);
%********** Probe 1-5 copy *************
probe_cnt = 1;
shift_cnt = 0;
copy_flg = 0;
for probe_cnt=1:5;
   if probe_cnt <= 4
      if pos(probe_cnt).mode == 5 | pos(probe_cnt).mode == 6;
         if pos(probe_cnt+1).mode ~= 0;
            copy_flg = 1;
         end;
      end;
   end;
   %head copy
   if probe_cnt > 1; 
      pos(probe_cnt).pos_name = pos(1).pos_name;
      %***** FILE INFO *****
      pos(probe_cnt).file_id = pos(1).file_id;
      pos(probe_cnt).file_ver = pos(1).file_ver;
      pos(probe_cnt).file_probe = pos(1).file_probe;
      pos(probe_cnt).file_type = pos(1).file_type;
      pos(probe_cnt).file_product = pos(1).file_product;
      %***** USER *****
      pos(probe_cnt).user_name = pos(1).user_name;
      pos(probe_cnt).user_id = pos(1).user_id;
      if isfield(pos(probe_cnt),'user_comment' ) == 1;
         pos(probe_cnt).user_comment = pos(1).user_comment;
      end;
      pos(probe_cnt).user_sex = pos(1).user_sex;
      pos(probe_cnt).user_age = pos(1).user_age;
      %***** LEFT *****
      pos(probe_cnt).left_x = pos(1).left_x;
      pos(probe_cnt).left_y = pos(1).left_y;
      pos(probe_cnt).left_z = pos(1).left_z;
      %***** RIGHT *****
      pos(probe_cnt).right_x = pos(1).right_x;
      pos(probe_cnt).right_y = pos(1).right_y;
      pos(probe_cnt).right_z = pos(1).right_z;
      %***** NASION *****
      pos(probe_cnt).nasion_x = pos(1).nasion_x;
      pos(probe_cnt).nasion_y = pos(1).nasion_y;
      pos(probe_cnt).nasion_z = pos(1).nasion_z;
      %***** Back *****
      pos(probe_cnt).back_x = pos(1).back_x;
      pos(probe_cnt).back_y = pos(1).back_y;
      pos(probe_cnt).back_z = pos(1).back_z;
      %***** TOP *****
      pos(probe_cnt).top_x = pos(1).top_x;
      pos(probe_cnt).top_y = pos(1).top_y;
      pos(probe_cnt).top_z = pos(1).top_z;
      %***** ANGLE *****
      pos(probe_cnt).angle_x = pos(1).angle_x;
      pos(probe_cnt).angle_y = pos(1).angle_y;
      pos(probe_cnt).angle_z = pos(1).angle_z;
      % file out 3x3=1,4x4=3,3x5=3,3x11=4,3x10=5
   end;
   if pos(probe_cnt).mode == 6 | pos(probe_cnt).mode == 5;
      shift_cnt = shift_cnt+1;
   end;
end;
if copy_flg == 1;
   % data copy
   for probe_cnt=5:-1:1;
      if shift_cnt > 0;
         pos(probe_cnt).probe_no = pos(probe_cnt-shift_cnt).probe_no;
         pos(probe_cnt).mode = pos(probe_cnt-shift_cnt).mode;
         pos(probe_cnt).ch_cnt = pos(probe_cnt-shift_cnt).ch_cnt;
         pos(probe_cnt) = pos(probe_cnt-shift_cnt);
         if pos(probe_cnt-shift_cnt).mode == 6 | pos(probe_cnt-shift_cnt).mode == 5;
            shift_cnt = shift_cnt-1;
         end;
      end;
   end;
end;
if pos(1).mode == 6 | pos(1).mode == 5;
   pos(2).probe_no = pos(1).probe_no;
   pos(2).mode = pos(1).mode;
   pos(2).ch_cnt = pos(1).ch_cnt;
   pos(2) = pos(1);
end;
if pos(3).mode == 6 | pos(3).mode == 5;
   pos(4).probe_no = pos(3).probe_no;
   pos(4).mode = pos(3).mode;
   pos(4).ch_cnt = pos(3).ch_cnt;
   pos(4) = pos(3);
end;
%   eval(['ChNum=pos.Probe' num2str(ProbeID) '.ChNum;']);
%   for idx=1:ChNum
%     x(idx)=eval(['pos.Probe' num2str(ProbeID) '.ch' num2str(idx) '.X']);
%     y(idx)=eval(['pos.Probe' num2str(ProbeID) '.ch' num2str(idx) '.Y']);
%     z(idx)=eval(['pos.Probe' num2str(ProbeID) '.ch' num2str(idx) '.Z']);
%   end
  
%end;
clear pos_len;
clear ch;
clear cnt;
clear dum;
clear i;
clear pos_fname;
clear pos_name;
clear pos_pname;
clear probe_ch;
clear probe_cnt;
clear probe_num;
clear pfp;
clear len;
clear ch_len;
clear info_cnt;
clear user_cnt;
clear shift_cnt;
clear copy_flg;
for p_cnt=1:para_p.max_prb;					% Probe loop
   if (p_cnt==1 & para_p.sel_prb1 ~=1) | (p_cnt==2 & para_p.sel_prb2 ~=1) | (p_cnt==3 & para_p.sel_prb3 ~=1) |(p_cnt==4 & para_p.sel_prb4 ~=1) |(p_cnt==5 & para_p.sel_prb5 ~=1);
   elseif (p_cnt==1 & para_p.load_prb1 ~=1 ) | (p_cnt==2 & para_p.load_prb2 ~=1) | (p_cnt==3 & para_p.load_prb3 ~=1) | (p_cnt==4 & para_p.load_prb4 ~=1) | (p_cnt==5 & para_p.load_prb5 ~=1);
   else;
      if pos(p_cnt).mode ~= info(p_cnt).probe_mode;
         if pos(p_cnt).mode == 6 & info(p_cnt).probe_mode == 5;
         else;
            warndlg('Probe modes are different.','Warning !');
            mode_err=1;
            del_fig(80,80);
            return;
         end;
      end;
   end;
end;
clear p_cnt;
return;
